{***********************************************************}
{   This file is part of the DORB project.                  }
{                                                           }
{   See the file License, included in this distribution,    }
{   for details about the copyright.                        }
{                                                           }
{   Send comments and/or bug reports to: vic@inec.ru        }
{***********************************************************}

(* lexical analyzer template (TP Lex V3.0), V1.0 3-2-91 AG *)

(* global definitions: *)


function yylex : Integer;

procedure yyaction ( yyruleno : Integer );
  (* local definitions: *)

begin
  (* actions: *)
  case yyruleno of
  1:
       			;
  2:
    			inc(idl_line_no);
  3:
          		;
  4:
                        begin
                          yylval.yy_str := yytext;
                          inc(idl_line_no);
                          return(T_PRAGMA);
                        end;
  5:
                        begin
                          preprocessor_directive( yytext );
			  yylval.yy_str := yytext;
                          return(T_INCLUDE);
                        end;
  6:
   			return(T_LEFT_CURLY_BRACKET);
  7:
   			return(T_RIGHT_CURLY_BRACKET);
  8:
   		 	return(T_LEFT_SQUARE_BRACKET);
  9:
   			return(T_RIGHT_SQUARE_BRACKET);
  10:
   			return(T_LEFT_PARANTHESIS);
  11:
   			return(T_RIGHT_PARANTHESIS);
  12:
   			return(T_COLON);
  13:
   			return(T_COMMA);
  14:
   			return(T_SEMICOLON);
  15:
   			return(T_EQUAL);
  16:
    			return(T_SHIFTRIGHT);
  17:
    			return(T_SHIFTLEFT);
  18:
   			return(T_PLUS_SIGN);
  19:
   			return(T_MINUS_SIGN);
  20:
   			return(T_ASTERISK);
  21:
   			return(T_SOLIDUS);
  22:
   			return(T_PERCENT_SIGN);
  23:
   			return(T_TILDE);
  24:
   			return(T_VERTICAL_LINE);
  25:
   			return(T_CIRCUMFLEX);
  26:
   			return(T_AMPERSAND);
  27:
   			return(T_LESS_THAN_SIGN);
  28:
   			return(T_GREATER_THAN_SIGN);

  29:
     			return(T_CONST);
  30:
       			return(T_TYPEDEF);
  31:
     			return(T_FLOAT);
  32:
      			return(T_DOUBLE);
  33:
    			return(T_CHAR);
  34:
     			return(T_WCHAR);
  35:
                        return(T_FIXED);
  36:
       			return(T_BOOLEAN);
  37:
      			return(T_STRING);
  38:
       			return(T_WSTRING);
  39:
    			return(T_VOID);
  40:
        		return(T_UNSIGNED);
  41:
     			return(T_LONG);
  42:
     			return(T_SHORT);
  43:
     			return(T_FALSE);
  44:
    			return(T_TRUE);
  45:
      			return(T_STRUCT);
  46:
     			return(T_UNION);
  47:
      			return(T_SWITCH);
  48:
    			return(T_CASE);
  49:
       			return(T_DEFAULT);
  50:
    			return(T_ENUM);
  51:
  			return(T_IN);
  52:
   			return(T_OUT);
  53:
         		return(T_INTERFACE);
  54:
        		return(T_ABSTRACT);
  55:
         		return(T_VALUETYPE);
  56:
           		return(T_TRUNCATABLE);
  57:
        		return(T_SUPPORTS);
  58:
      			return(T_CUSTOM);
  59:
      			return(T_PUBLIC);
  60:
       			return(T_PRIVATE);
  61:
       			return(T_FACTORY);
  62:
      			return(T_NATIVE);
  63:
         		return(T_VALUEBASE);
  64:
    			return(T_SCOPE);
  65:
      			return(T_MODULE);
  66:
     			return(T_OCTET);
  67:
   			return(T_ANY);
  68:
        		return(T_SEQUENCE);
  69:
        		return(T_READONLY);
  70:
         		return(T_ATTRIBUTE);
  71:
         		return(T_EXCEPTION);
  72:
      			return(T_ONEWAY);
  73:
     			return(T_INOUT);
  74:
      			return(T_RAISES);
  75:
       			return(T_CONTEXT);
  76:
                        return(T_OBJECT);
  77:
                  	begin
                          if yytext[1] = '_' then
			    yylval.yyident := copy(yytext,2,100)
			  else
			    yylval.yyident := yytext;
			  return(T_IDENTIFIER);
                        end;
  78,
  79,
  80,
  81,
  82,
  83:
                	begin
                          yylval.yy_float := strtofloat(yytext);
			  return(T_FLOATING_PT_LITERAL);
                        end;
  84,
  85,
  86,
  87:
                	begin
                          yylval.yy_float := strtofloat(yytext);
			  return(T_FLOATING_PT_LITERAL);
                        end;
  88:
             		begin
                          yylval.yy_int := strtoint(yytext );
			  return(T_INTEGER_LITERAL);
                        end;
  89:
             		begin
                          yylval.yy_int := strtoint(yytext);
			  return(T_INTEGER_LITERAL);
                        end;
  90:
             		begin
                          yylval.yy_int := strtoint(yytext);
			  return(T_INTEGER_LITERAL);
                        end;
  91:
              		begin
                          yylval.yy_char := copy(yytext,2,length(yytext)-2)[1];
			  return(T_CHARACTER_LITERAL);
                        end;
  92:
                	begin
                          yylval.yy_str := copy(yytext,2,length(yytext)-2);
			  return(T_STRING_LITERAL);
                        end;
  93:
                        return(T_UNKNOWN);

  end;
end(*yyaction*);

(* DFA table: *)

type YYTRec = record
                cc : set of Char;
                s  : Integer;
              end;

const

yynmarks   = 404;
yynmatches = 404;
yyntrans   = 731;
yynstates  = 355;

yyk : array [1..yynmarks] of Integer = (
  { 0: }
  { 1: }
  { 2: }
  1,
  93,
  { 3: }
  2,
  { 4: }
  21,
  93,
  { 5: }
  93,
  { 6: }
  6,
  93,
  { 7: }
  7,
  93,
  { 8: }
  8,
  93,
  { 9: }
  9,
  93,
  { 10: }
  10,
  93,
  { 11: }
  11,
  93,
  { 12: }
  12,
  93,
  { 13: }
  13,
  93,
  { 14: }
  14,
  93,
  { 15: }
  15,
  93,
  { 16: }
  28,
  93,
  { 17: }
  27,
  93,
  { 18: }
  18,
  93,
  { 19: }
  19,
  93,
  { 20: }
  20,
  93,
  { 21: }
  22,
  93,
  { 22: }
  23,
  93,
  { 23: }
  24,
  93,
  { 24: }
  25,
  93,
  { 25: }
  26,
  93,
  { 26: }
  77,
  93,
  { 27: }
  77,
  93,
  { 28: }
  77,
  93,
  { 29: }
  77,
  93,
  { 30: }
  77,
  93,
  { 31: }
  77,
  93,
  { 32: }
  77,
  93,
  { 33: }
  77,
  93,
  { 34: }
  77,
  93,
  { 35: }
  77,
  93,
  { 36: }
  77,
  93,
  { 37: }
  77,
  93,
  { 38: }
  77,
  93,
  { 39: }
  77,
  93,
  { 40: }
  77,
  93,
  { 41: }
  77,
  93,
  { 42: }
  77,
  93,
  { 43: }
  77,
  93,
  { 44: }
  77,
  93,
  { 45: }
  77,
  93,
  { 46: }
  77,
  93,
  { 47: }
  77,
  93,
  { 48: }
  77,
  93,
  { 49: }
  89,
  93,
  { 50: }
  93,
  { 51: }
  88,
  93,
  { 52: }
  93,
  { 53: }
  93,
  { 54: }
  3,
  { 55: }
  { 56: }
  { 57: }
  5,
  { 58: }
  64,
  { 59: }
  16,
  { 60: }
  17,
  { 61: }
  77,
  { 62: }
  77,
  { 63: }
  77,
  { 64: }
  77,
  { 65: }
  77,
  { 66: }
  77,
  { 67: }
  77,
  { 68: }
  77,
  { 69: }
  77,
  { 70: }
  77,
  { 71: }
  77,
  { 72: }
  77,
  { 73: }
  77,
  { 74: }
  77,
  { 75: }
  77,
  { 76: }
  77,
  { 77: }
  77,
  { 78: }
  77,
  { 79: }
  77,
  { 80: }
  77,
  { 81: }
  77,
  { 82: }
  77,
  { 83: }
  77,
  { 84: }
  77,
  { 85: }
  77,
  { 86: }
  77,
  { 87: }
  77,
  { 88: }
  77,
  { 89: }
  51,
  77,
  { 90: }
  77,
  { 91: }
  77,
  { 92: }
  77,
  { 93: }
  77,
  { 94: }
  77,
  { 95: }
  77,
  { 96: }
  77,
  { 97: }
  77,
  { 98: }
  77,
  { 99: }
  77,
  { 100: }
  77,
  { 101: }
  77,
  { 102: }
  77,
  { 103: }
  77,
  { 104: }
  { 105: }
  { 106: }
  { 107: }
  84,
  { 108: }
  89,
  { 109: }
  90,
  { 110: }
  { 111: }
  { 112: }
  { 113: }
  88,
  { 114: }
  { 115: }
  { 116: }
  92,
  { 117: }
  { 118: }
  77,
  { 119: }
  77,
  { 120: }
  77,
  { 121: }
  77,
  { 122: }
  77,
  { 123: }
  77,
  { 124: }
  77,
  { 125: }
  77,
  { 126: }
  77,
  { 127: }
  77,
  { 128: }
  77,
  { 129: }
  77,
  { 130: }
  77,
  { 131: }
  77,
  { 132: }
  77,
  { 133: }
  77,
  { 134: }
  77,
  { 135: }
  77,
  { 136: }
  77,
  { 137: }
  77,
  { 138: }
  77,
  { 139: }
  77,
  { 140: }
  77,
  { 141: }
  77,
  { 142: }
  77,
  { 143: }
  77,
  { 144: }
  77,
  { 145: }
  77,
  { 146: }
  77,
  { 147: }
  77,
  { 148: }
  52,
  77,
  { 149: }
  77,
  { 150: }
  77,
  { 151: }
  77,
  { 152: }
  67,
  77,
  { 153: }
  77,
  { 154: }
  77,
  { 155: }
  77,
  { 156: }
  77,
  { 157: }
  77,
  { 158: }
  77,
  { 159: }
  77,
  { 160: }
  77,
  { 161: }
  77,
  { 162: }
  { 163: }
  { 164: }
  79,
  { 165: }
  { 166: }
  91,
  { 167: }
  { 168: }
  { 169: }
  { 170: }
  77,
  { 171: }
  77,
  { 172: }
  33,
  77,
  { 173: }
  48,
  77,
  { 174: }
  77,
  { 175: }
  77,
  { 176: }
  77,
  { 177: }
  77,
  { 178: }
  77,
  { 179: }
  77,
  { 180: }
  77,
  { 181: }
  77,
  { 182: }
  77,
  { 183: }
  77,
  { 184: }
  77,
  { 185: }
  77,
  { 186: }
  77,
  { 187: }
  77,
  { 188: }
  77,
  { 189: }
  77,
  { 190: }
  77,
  { 191: }
  39,
  77,
  { 192: }
  77,
  { 193: }
  77,
  { 194: }
  77,
  { 195: }
  41,
  77,
  { 196: }
  77,
  { 197: }
  44,
  77,
  { 198: }
  50,
  77,
  { 199: }
  77,
  { 200: }
  77,
  { 201: }
  77,
  { 202: }
  77,
  { 203: }
  77,
  { 204: }
  77,
  { 205: }
  77,
  { 206: }
  77,
  { 207: }
  77,
  { 208: }
  77,
  { 209: }
  77,
  { 210: }
  77,
  { 211: }
  77,
  { 212: }
  77,
  { 213: }
  77,
  { 214: }
  81,
  { 215: }
  { 216: }
  { 217: }
  82,
  { 218: }
  { 219: }
  { 220: }
  { 221: }
  29,
  77,
  { 222: }
  77,
  { 223: }
  77,
  { 224: }
  77,
  { 225: }
  77,
  { 226: }
  31,
  77,
  { 227: }
  35,
  77,
  { 228: }
  77,
  { 229: }
  77,
  { 230: }
  77,
  { 231: }
  34,
  77,
  { 232: }
  77,
  { 233: }
  77,
  { 234: }
  77,
  { 235: }
  77,
  { 236: }
  42,
  77,
  { 237: }
  77,
  { 238: }
  77,
  { 239: }
  77,
  { 240: }
  77,
  { 241: }
  77,
  { 242: }
  46,
  77,
  { 243: }
  43,
  77,
  { 244: }
  77,
  { 245: }
  77,
  { 246: }
  73,
  77,
  { 247: }
  66,
  77,
  { 248: }
  77,
  { 249: }
  77,
  { 250: }
  77,
  { 251: }
  77,
  { 252: }
  77,
  { 253: }
  77,
  { 254: }
  77,
  { 255: }
  77,
  { 256: }
  77,
  { 257: }
  77,
  { 258: }
  77,
  { 259: }
  80,
  { 260: }
  { 261: }
  85,
  { 262: }
  { 263: }
  { 264: }
  86,
  { 265: }
  { 266: }
  { 267: }
  { 268: }
  { 269: }
  { 270: }
  { 271: }
  77,
  { 272: }
  58,
  77,
  { 273: }
  77,
  { 274: }
  77,
  { 275: }
  77,
  { 276: }
  32,
  77,
  { 277: }
  77,
  { 278: }
  77,
  { 279: }
  77,
  { 280: }
  37,
  77,
  { 281: }
  45,
  77,
  { 282: }
  47,
  77,
  { 283: }
  77,
  { 284: }
  77,
  { 285: }
  77,
  { 286: }
  77,
  { 287: }
  77,
  { 288: }
  77,
  { 289: }
  72,
  77,
  { 290: }
  77,
  { 291: }
  77,
  { 292: }
  59,
  77,
  { 293: }
  77,
  { 294: }
  62,
  77,
  { 295: }
  77,
  { 296: }
  65,
  77,
  { 297: }
  77,
  { 298: }
  74,
  77,
  { 299: }
  76,
  77,
  { 300: }
  87,
  { 301: }
  { 302: }
  78,
  { 303: }
  { 304: }
  83,
  { 305: }
  91,
  { 306: }
  { 307: }
  { 308: }
  { 309: }
  { 310: }
  { 311: }
  75,
  77,
  { 312: }
  30,
  77,
  { 313: }
  77,
  { 314: }
  61,
  77,
  { 315: }
  49,
  77,
  { 316: }
  38,
  77,
  { 317: }
  36,
  77,
  { 318: }
  77,
  { 319: }
  77,
  { 320: }
  77,
  { 321: }
  77,
  { 322: }
  77,
  { 323: }
  77,
  { 324: }
  77,
  { 325: }
  77,
  { 326: }
  60,
  77,
  { 327: }
  77,
  { 328: }
  77,
  { 329: }
  { 330: }
  { 331: }
  { 332: }
  { 333: }
  4,
  5,
  { 334: }
  77,
  { 335: }
  57,
  77,
  { 336: }
  68,
  77,
  { 337: }
  77,
  { 338: }
  40,
  77,
  { 339: }
  77,
  { 340: }
  77,
  { 341: }
  54,
  77,
  { 342: }
  77,
  { 343: }
  77,
  { 344: }
  69,
  77,
  { 345: }
  { 346: }
  { 347: }
  77,
  { 348: }
  55,
  77,
  { 349: }
  71,
  77,
  { 350: }
  53,
  77,
  { 351: }
  70,
  77,
  { 352: }
  63,
  77,
  { 353: }
  77,
  { 354: }
  56,
  77
);

yym : array [1..yynmatches] of Integer = (
{ 0: }
{ 1: }
{ 2: }
  1,
  93,
{ 3: }
  2,
{ 4: }
  21,
  93,
{ 5: }
  93,
{ 6: }
  6,
  93,
{ 7: }
  7,
  93,
{ 8: }
  8,
  93,
{ 9: }
  9,
  93,
{ 10: }
  10,
  93,
{ 11: }
  11,
  93,
{ 12: }
  12,
  93,
{ 13: }
  13,
  93,
{ 14: }
  14,
  93,
{ 15: }
  15,
  93,
{ 16: }
  28,
  93,
{ 17: }
  27,
  93,
{ 18: }
  18,
  93,
{ 19: }
  19,
  93,
{ 20: }
  20,
  93,
{ 21: }
  22,
  93,
{ 22: }
  23,
  93,
{ 23: }
  24,
  93,
{ 24: }
  25,
  93,
{ 25: }
  26,
  93,
{ 26: }
  77,
  93,
{ 27: }
  77,
  93,
{ 28: }
  77,
  93,
{ 29: }
  77,
  93,
{ 30: }
  77,
  93,
{ 31: }
  77,
  93,
{ 32: }
  77,
  93,
{ 33: }
  77,
  93,
{ 34: }
  77,
  93,
{ 35: }
  77,
  93,
{ 36: }
  77,
  93,
{ 37: }
  77,
  93,
{ 38: }
  77,
  93,
{ 39: }
  77,
  93,
{ 40: }
  77,
  93,
{ 41: }
  77,
  93,
{ 42: }
  77,
  93,
{ 43: }
  77,
  93,
{ 44: }
  77,
  93,
{ 45: }
  77,
  93,
{ 46: }
  77,
  93,
{ 47: }
  77,
  93,
{ 48: }
  77,
  93,
{ 49: }
  89,
  93,
{ 50: }
  93,
{ 51: }
  88,
  93,
{ 52: }
  93,
{ 53: }
  93,
{ 54: }
  3,
{ 55: }
{ 56: }
{ 57: }
  5,
{ 58: }
  64,
{ 59: }
  16,
{ 60: }
  17,
{ 61: }
  77,
{ 62: }
  77,
{ 63: }
  77,
{ 64: }
  77,
{ 65: }
  77,
{ 66: }
  77,
{ 67: }
  77,
{ 68: }
  77,
{ 69: }
  77,
{ 70: }
  77,
{ 71: }
  77,
{ 72: }
  77,
{ 73: }
  77,
{ 74: }
  77,
{ 75: }
  77,
{ 76: }
  77,
{ 77: }
  77,
{ 78: }
  77,
{ 79: }
  77,
{ 80: }
  77,
{ 81: }
  77,
{ 82: }
  77,
{ 83: }
  77,
{ 84: }
  77,
{ 85: }
  77,
{ 86: }
  77,
{ 87: }
  77,
{ 88: }
  77,
{ 89: }
  51,
  77,
{ 90: }
  77,
{ 91: }
  77,
{ 92: }
  77,
{ 93: }
  77,
{ 94: }
  77,
{ 95: }
  77,
{ 96: }
  77,
{ 97: }
  77,
{ 98: }
  77,
{ 99: }
  77,
{ 100: }
  77,
{ 101: }
  77,
{ 102: }
  77,
{ 103: }
  77,
{ 104: }
{ 105: }
{ 106: }
{ 107: }
  84,
{ 108: }
  89,
{ 109: }
  90,
{ 110: }
{ 111: }
{ 112: }
{ 113: }
  88,
{ 114: }
{ 115: }
{ 116: }
  92,
{ 117: }
{ 118: }
  77,
{ 119: }
  77,
{ 120: }
  77,
{ 121: }
  77,
{ 122: }
  77,
{ 123: }
  77,
{ 124: }
  77,
{ 125: }
  77,
{ 126: }
  77,
{ 127: }
  77,
{ 128: }
  77,
{ 129: }
  77,
{ 130: }
  77,
{ 131: }
  77,
{ 132: }
  77,
{ 133: }
  77,
{ 134: }
  77,
{ 135: }
  77,
{ 136: }
  77,
{ 137: }
  77,
{ 138: }
  77,
{ 139: }
  77,
{ 140: }
  77,
{ 141: }
  77,
{ 142: }
  77,
{ 143: }
  77,
{ 144: }
  77,
{ 145: }
  77,
{ 146: }
  77,
{ 147: }
  77,
{ 148: }
  52,
  77,
{ 149: }
  77,
{ 150: }
  77,
{ 151: }
  77,
{ 152: }
  67,
  77,
{ 153: }
  77,
{ 154: }
  77,
{ 155: }
  77,
{ 156: }
  77,
{ 157: }
  77,
{ 158: }
  77,
{ 159: }
  77,
{ 160: }
  77,
{ 161: }
  77,
{ 162: }
{ 163: }
{ 164: }
  79,
{ 165: }
{ 166: }
  91,
{ 167: }
{ 168: }
{ 169: }
{ 170: }
  77,
{ 171: }
  77,
{ 172: }
  33,
  77,
{ 173: }
  48,
  77,
{ 174: }
  77,
{ 175: }
  77,
{ 176: }
  77,
{ 177: }
  77,
{ 178: }
  77,
{ 179: }
  77,
{ 180: }
  77,
{ 181: }
  77,
{ 182: }
  77,
{ 183: }
  77,
{ 184: }
  77,
{ 185: }
  77,
{ 186: }
  77,
{ 187: }
  77,
{ 188: }
  77,
{ 189: }
  77,
{ 190: }
  77,
{ 191: }
  39,
  77,
{ 192: }
  77,
{ 193: }
  77,
{ 194: }
  77,
{ 195: }
  41,
  77,
{ 196: }
  77,
{ 197: }
  44,
  77,
{ 198: }
  50,
  77,
{ 199: }
  77,
{ 200: }
  77,
{ 201: }
  77,
{ 202: }
  77,
{ 203: }
  77,
{ 204: }
  77,
{ 205: }
  77,
{ 206: }
  77,
{ 207: }
  77,
{ 208: }
  77,
{ 209: }
  77,
{ 210: }
  77,
{ 211: }
  77,
{ 212: }
  77,
{ 213: }
  77,
{ 214: }
  81,
{ 215: }
{ 216: }
{ 217: }
  82,
{ 218: }
{ 219: }
{ 220: }
{ 221: }
  29,
  77,
{ 222: }
  77,
{ 223: }
  77,
{ 224: }
  77,
{ 225: }
  77,
{ 226: }
  31,
  77,
{ 227: }
  35,
  77,
{ 228: }
  77,
{ 229: }
  77,
{ 230: }
  77,
{ 231: }
  34,
  77,
{ 232: }
  77,
{ 233: }
  77,
{ 234: }
  77,
{ 235: }
  77,
{ 236: }
  42,
  77,
{ 237: }
  77,
{ 238: }
  77,
{ 239: }
  77,
{ 240: }
  77,
{ 241: }
  77,
{ 242: }
  46,
  77,
{ 243: }
  43,
  77,
{ 244: }
  77,
{ 245: }
  77,
{ 246: }
  73,
  77,
{ 247: }
  66,
  77,
{ 248: }
  77,
{ 249: }
  77,
{ 250: }
  77,
{ 251: }
  77,
{ 252: }
  77,
{ 253: }
  77,
{ 254: }
  77,
{ 255: }
  77,
{ 256: }
  77,
{ 257: }
  77,
{ 258: }
  77,
{ 259: }
  80,
{ 260: }
{ 261: }
  85,
{ 262: }
{ 263: }
{ 264: }
  86,
{ 265: }
{ 266: }
{ 267: }
{ 268: }
{ 269: }
{ 270: }
{ 271: }
  77,
{ 272: }
  58,
  77,
{ 273: }
  77,
{ 274: }
  77,
{ 275: }
  77,
{ 276: }
  32,
  77,
{ 277: }
  77,
{ 278: }
  77,
{ 279: }
  77,
{ 280: }
  37,
  77,
{ 281: }
  45,
  77,
{ 282: }
  47,
  77,
{ 283: }
  77,
{ 284: }
  77,
{ 285: }
  77,
{ 286: }
  77,
{ 287: }
  77,
{ 288: }
  77,
{ 289: }
  72,
  77,
{ 290: }
  77,
{ 291: }
  77,
{ 292: }
  59,
  77,
{ 293: }
  77,
{ 294: }
  62,
  77,
{ 295: }
  77,
{ 296: }
  65,
  77,
{ 297: }
  77,
{ 298: }
  74,
  77,
{ 299: }
  76,
  77,
{ 300: }
  87,
{ 301: }
{ 302: }
  78,
{ 303: }
{ 304: }
  83,
{ 305: }
  91,
{ 306: }
{ 307: }
{ 308: }
{ 309: }
{ 310: }
{ 311: }
  75,
  77,
{ 312: }
  30,
  77,
{ 313: }
  77,
{ 314: }
  61,
  77,
{ 315: }
  49,
  77,
{ 316: }
  38,
  77,
{ 317: }
  36,
  77,
{ 318: }
  77,
{ 319: }
  77,
{ 320: }
  77,
{ 321: }
  77,
{ 322: }
  77,
{ 323: }
  77,
{ 324: }
  77,
{ 325: }
  77,
{ 326: }
  60,
  77,
{ 327: }
  77,
{ 328: }
  77,
{ 329: }
{ 330: }
{ 331: }
{ 332: }
{ 333: }
  4,
  5,
{ 334: }
  77,
{ 335: }
  57,
  77,
{ 336: }
  68,
  77,
{ 337: }
  77,
{ 338: }
  40,
  77,
{ 339: }
  77,
{ 340: }
  77,
{ 341: }
  54,
  77,
{ 342: }
  77,
{ 343: }
  77,
{ 344: }
  69,
  77,
{ 345: }
{ 346: }
{ 347: }
  77,
{ 348: }
  55,
  77,
{ 349: }
  71,
  77,
{ 350: }
  53,
  77,
{ 351: }
  70,
  77,
{ 352: }
  63,
  77,
{ 353: }
  77,
{ 354: }
  56,
  77
);

yyt : array [1..yyntrans] of YYTrec = (
{ 0: }
  ( cc: [ #1..#8,#11,#12,#14..#31,'!','$','.','?','@',
            '\','`',#127..#255 ]; s: 53),
  ( cc: [ #9,#13,' ' ]; s: 2),
  ( cc: [ #10 ]; s: 3),
  ( cc: [ '"' ]; s: 52),
  ( cc: [ '#' ]; s: 5),
  ( cc: [ '%' ]; s: 21),
  ( cc: [ '&' ]; s: 25),
  ( cc: [ '''' ]; s: 50),
  ( cc: [ '(' ]; s: 10),
  ( cc: [ ')' ]; s: 11),
  ( cc: [ '*' ]; s: 20),
  ( cc: [ '+' ]; s: 18),
  ( cc: [ ',' ]; s: 13),
  ( cc: [ '-' ]; s: 19),
  ( cc: [ '/' ]; s: 4),
  ( cc: [ '0' ]; s: 49),
  ( cc: [ '1'..'9' ]; s: 51),
  ( cc: [ ':' ]; s: 12),
  ( cc: [ ';' ]; s: 14),
  ( cc: [ '<' ]; s: 17),
  ( cc: [ '=' ]; s: 15),
  ( cc: [ '>' ]; s: 16),
  ( cc: [ 'A'..'E','G'..'N','P'..'S','U','W'..'Z','_',
            'g','h','j','k','q','x'..'z' ]; s: 48),
  ( cc: [ 'F' ]; s: 36),
  ( cc: [ 'O' ]; s: 47),
  ( cc: [ 'T' ]; s: 37),
  ( cc: [ 'V' ]; s: 44),
  ( cc: [ '[' ]; s: 8),
  ( cc: [ ']' ]; s: 9),
  ( cc: [ '^' ]; s: 24),
  ( cc: [ 'a' ]; s: 41),
  ( cc: [ 'b' ]; s: 31),
  ( cc: [ 'c' ]; s: 26),
  ( cc: [ 'd' ]; s: 29),
  ( cc: [ 'e' ]; s: 38),
  ( cc: [ 'f' ]; s: 28),
  ( cc: [ 'i' ]; s: 39),
  ( cc: [ 'l' ]; s: 35),
  ( cc: [ 'm' ]; s: 45),
  ( cc: [ 'n' ]; s: 43),
  ( cc: [ 'o' ]; s: 40),
  ( cc: [ 'p' ]; s: 42),
  ( cc: [ 'r' ]; s: 46),
  ( cc: [ 's' ]; s: 32),
  ( cc: [ 't' ]; s: 27),
  ( cc: [ 'u' ]; s: 34),
  ( cc: [ 'v' ]; s: 33),
  ( cc: [ 'w' ]; s: 30),
  ( cc: [ '{' ]; s: 6),
  ( cc: [ '|' ]; s: 23),
  ( cc: [ '}' ]; s: 7),
  ( cc: [ '~' ]; s: 22),
{ 1: }
  ( cc: [ #1..#8,#11,#12,#14..#31,'!','$','.','?','@',
            '\','`',#127..#255 ]; s: 53),
  ( cc: [ #9,#13,' ' ]; s: 2),
  ( cc: [ #10 ]; s: 3),
  ( cc: [ '"' ]; s: 52),
  ( cc: [ '#' ]; s: 5),
  ( cc: [ '%' ]; s: 21),
  ( cc: [ '&' ]; s: 25),
  ( cc: [ '''' ]; s: 50),
  ( cc: [ '(' ]; s: 10),
  ( cc: [ ')' ]; s: 11),
  ( cc: [ '*' ]; s: 20),
  ( cc: [ '+' ]; s: 18),
  ( cc: [ ',' ]; s: 13),
  ( cc: [ '-' ]; s: 19),
  ( cc: [ '/' ]; s: 4),
  ( cc: [ '0' ]; s: 49),
  ( cc: [ '1'..'9' ]; s: 51),
  ( cc: [ ':' ]; s: 12),
  ( cc: [ ';' ]; s: 14),
  ( cc: [ '<' ]; s: 17),
  ( cc: [ '=' ]; s: 15),
  ( cc: [ '>' ]; s: 16),
  ( cc: [ 'A'..'E','G'..'N','P'..'S','U','W'..'Z','_',
            'g','h','j','k','q','x'..'z' ]; s: 48),
  ( cc: [ 'F' ]; s: 36),
  ( cc: [ 'O' ]; s: 47),
  ( cc: [ 'T' ]; s: 37),
  ( cc: [ 'V' ]; s: 44),
  ( cc: [ '[' ]; s: 8),
  ( cc: [ ']' ]; s: 9),
  ( cc: [ '^' ]; s: 24),
  ( cc: [ 'a' ]; s: 41),
  ( cc: [ 'b' ]; s: 31),
  ( cc: [ 'c' ]; s: 26),
  ( cc: [ 'd' ]; s: 29),
  ( cc: [ 'e' ]; s: 38),
  ( cc: [ 'f' ]; s: 28),
  ( cc: [ 'i' ]; s: 39),
  ( cc: [ 'l' ]; s: 35),
  ( cc: [ 'm' ]; s: 45),
  ( cc: [ 'n' ]; s: 43),
  ( cc: [ 'o' ]; s: 40),
  ( cc: [ 'p' ]; s: 42),
  ( cc: [ 'r' ]; s: 46),
  ( cc: [ 's' ]; s: 32),
  ( cc: [ 't' ]; s: 27),
  ( cc: [ 'u' ]; s: 34),
  ( cc: [ 'v' ]; s: 33),
  ( cc: [ 'w' ]; s: 30),
  ( cc: [ '{' ]; s: 6),
  ( cc: [ '|' ]; s: 23),
  ( cc: [ '}' ]; s: 7),
  ( cc: [ '~' ]; s: 22),
{ 2: }
{ 3: }
{ 4: }
  ( cc: [ '/' ]; s: 54),
{ 5: }
  ( cc: [ #1..#9,#11..'o','q'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'p' ]; s: 55),
{ 6: }
{ 7: }
{ 8: }
{ 9: }
{ 10: }
{ 11: }
{ 12: }
  ( cc: [ ':' ]; s: 58),
{ 13: }
{ 14: }
{ 15: }
{ 16: }
  ( cc: [ '>' ]; s: 59),
{ 17: }
  ( cc: [ '<' ]; s: 60),
{ 18: }
{ 19: }
{ 20: }
{ 21: }
{ 22: }
{ 23: }
{ 24: }
{ 25: }
{ 26: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'g','i'..'n','p'..'t',
            'v'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 63),
  ( cc: [ 'h' ]; s: 62),
  ( cc: [ 'o' ]; s: 61),
  ( cc: [ 'u' ]; s: 64),
{ 27: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'x','z' ]; s: 65),
  ( cc: [ 'r' ]; s: 67),
  ( cc: [ 'y' ]; s: 66),
{ 28: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'h','j','k','m'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 70),
  ( cc: [ 'i' ]; s: 69),
  ( cc: [ 'l' ]; s: 68),
{ 29: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 72),
  ( cc: [ 'o' ]; s: 71),
{ 30: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'r','t'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 73),
  ( cc: [ 's' ]; s: 74),
{ 31: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 75),
{ 32: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f','g','i'..'s',
            'v','x'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 80),
  ( cc: [ 'h' ]; s: 77),
  ( cc: [ 't' ]; s: 76),
  ( cc: [ 'u' ]; s: 79),
  ( cc: [ 'w' ]; s: 78),
{ 33: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 82),
  ( cc: [ 'o' ]; s: 81),
{ 34: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 83),
{ 35: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 84),
{ 36: }
  ( cc: [ '0'..'9','B'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'A' ]; s: 85),
{ 37: }
  ( cc: [ '0'..'9','A'..'Q','S'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'R' ]; s: 86),
{ 38: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'w','y','z' ]; s: 65),
  ( cc: [ 'n' ]; s: 87),
  ( cc: [ 'x' ]; s: 88),
{ 39: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 89),
{ 40: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'m','o'..'t',
            'v'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 91),
  ( cc: [ 'n' ]; s: 92),
  ( cc: [ 'u' ]; s: 90),
{ 41: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'m','o'..'s',
            'u'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 93),
  ( cc: [ 'n' ]; s: 94),
  ( cc: [ 't' ]; s: 95),
{ 42: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s','t','v'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 97),
  ( cc: [ 'u' ]; s: 96),
{ 43: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 98),
{ 44: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 99),
{ 45: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 100),
{ 46: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 102),
  ( cc: [ 'e' ]; s: 101),
{ 47: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 103),
{ 48: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 49: }
  ( cc: [ '''' ]; s: 105),
  ( cc: [ '0'..'7' ]; s: 108),
  ( cc: [ '8','9' ]; s: 104),
  ( cc: [ 'D','d' ]; s: 107),
  ( cc: [ 'E','e' ]; s: 106),
  ( cc: [ 'X','x' ]; s: 109),
{ 50: }
  ( cc: [ #1..#8,#11..'&','('..'[',']'..#255 ]; s: 111),
  ( cc: [ #9,'\' ]; s: 110),
  ( cc: [ '''' ]; s: 112),
{ 51: }
  ( cc: [ '''' ]; s: 105),
  ( cc: [ '0'..'9' ]; s: 113),
  ( cc: [ 'D','d' ]; s: 107),
  ( cc: [ 'E','e' ]; s: 106),
{ 52: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'[',']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
{ 53: }
{ 54: }
  ( cc: [ #1..#9,#11..#255 ]; s: 54),
{ 55: }
  ( cc: [ #1..#9,#11..'q','s'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'r' ]; s: 117),
{ 56: }
  ( cc: [ #1..#9,#11..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
{ 57: }
{ 58: }
{ 59: }
{ 60: }
{ 61: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 118),
{ 62: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 119),
{ 63: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 120),
{ 64: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 121),
{ 65: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 66: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'o','q'..'z' ]; s: 65),
  ( cc: [ 'p' ]; s: 122),
{ 67: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 123),
{ 68: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 124),
{ 69: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'w','y','z' ]; s: 65),
  ( cc: [ 'x' ]; s: 125),
{ 70: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 126),
{ 71: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 127),
{ 72: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'e','g'..'z' ]; s: 65),
  ( cc: [ 'f' ]; s: 128),
{ 73: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'g','i'..'z' ]; s: 65),
  ( cc: [ 'h' ]; s: 129),
{ 74: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 130),
{ 75: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 131),
{ 76: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 132),
{ 77: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 133),
{ 78: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 134),
{ 79: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'o','q'..'z' ]; s: 65),
  ( cc: [ 'p' ]; s: 135),
{ 80: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'p','r'..'z' ]; s: 65),
  ( cc: [ 'q' ]; s: 136),
{ 81: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 137),
{ 82: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 138),
{ 83: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'r','t'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 140),
  ( cc: [ 's' ]; s: 139),
{ 84: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 141),
{ 85: }
  ( cc: [ '0'..'9','A'..'K','M'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'L' ]; s: 142),
{ 86: }
  ( cc: [ '0'..'9','A'..'T','V'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'U' ]; s: 143),
{ 87: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 144),
{ 88: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 145),
{ 89: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'s','u'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 147),
  ( cc: [ 't' ]; s: 146),
{ 90: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 148),
{ 91: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 149),
{ 92: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 150),
{ 93: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 151),
{ 94: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'x','z' ]; s: 65),
  ( cc: [ 'y' ]; s: 152),
{ 95: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 153),
{ 96: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 154),
{ 97: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 155),
{ 98: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 156),
{ 99: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 157),
{ 100: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 158),
{ 101: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 159),
{ 102: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 160),
{ 103: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'i','k'..'z' ]; s: 65),
  ( cc: [ 'j' ]; s: 161),
{ 104: }
  ( cc: [ '''' ]; s: 105),
  ( cc: [ '0'..'9' ]; s: 104),
  ( cc: [ 'D','d' ]; s: 107),
  ( cc: [ 'E','e' ]; s: 106),
{ 105: }
  ( cc: [ #1..#9,#11..#255 ]; s: 162),
{ 106: }
  ( cc: [ '''' ]; s: 163),
  ( cc: [ '0'..'9' ]; s: 164),
{ 107: }
{ 108: }
  ( cc: [ '''' ]; s: 105),
  ( cc: [ '0'..'7' ]; s: 108),
  ( cc: [ '8','9' ]; s: 104),
  ( cc: [ 'D','d' ]; s: 107),
  ( cc: [ 'E','e' ]; s: 106),
{ 109: }
  ( cc: [ '0'..'9','A'..'F','a'..'f' ]; s: 109),
{ 110: }
  ( cc: [ '''' ]; s: 165),
{ 111: }
  ( cc: [ '''' ]; s: 166),
{ 112: }
  ( cc: [ '''' ]; s: 165),
  ( cc: [ '\' ]; s: 167),
{ 113: }
  ( cc: [ '''' ]; s: 105),
  ( cc: [ '0'..'9' ]; s: 113),
  ( cc: [ 'D','d' ]; s: 107),
  ( cc: [ 'E','e' ]; s: 106),
{ 114: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'[',']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
{ 115: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'[',']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
  ( cc: [ '\' ]; s: 168),
{ 116: }
{ 117: }
  ( cc: [ #1..#9,#11..'`','b'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'a' ]; s: 169),
{ 118: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','u'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 170),
  ( cc: [ 't' ]; s: 171),
{ 119: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 172),
{ 120: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 173),
{ 121: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 174),
{ 122: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 175),
{ 123: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 176),
{ 124: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 177),
{ 125: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 178),
{ 126: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 179),
{ 127: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 180),
{ 128: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 181),
{ 129: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 182),
{ 130: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 183),
{ 131: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 184),
{ 132: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 185),
  ( cc: [ 'u' ]; s: 186),
{ 133: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 187),
{ 134: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 188),
{ 135: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'o','q'..'z' ]; s: 65),
  ( cc: [ 'p' ]; s: 189),
{ 136: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 190),
{ 137: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 191),
{ 138: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 192),
{ 139: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 193),
{ 140: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 194),
{ 141: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'f','h'..'z' ]; s: 65),
  ( cc: [ 'g' ]; s: 195),
{ 142: }
  ( cc: [ '0'..'9','A'..'R','T'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'S' ]; s: 196),
{ 143: }
  ( cc: [ '0'..'9','A'..'D','F'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'E' ]; s: 197),
{ 144: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'l','n'..'z' ]; s: 65),
  ( cc: [ 'm' ]; s: 198),
{ 145: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 199),
{ 146: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 200),
{ 147: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 201),
{ 148: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 149: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 202),
{ 150: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'v','x'..'z' ]; s: 65),
  ( cc: [ 'w' ]; s: 203),
{ 151: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 204),
{ 152: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 153: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 205),
{ 154: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 206),
{ 155: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'u','w'..'z' ]; s: 65),
  ( cc: [ 'v' ]; s: 207),
{ 156: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 208),
{ 157: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 209),
{ 158: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 210),
{ 159: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 211),
{ 160: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 212),
{ 161: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 213),
{ 162: }
  ( cc: [ '''' ]; s: 214),
{ 163: }
  ( cc: [ '''' ]; s: 215),
  ( cc: [ '-' ]; s: 216),
{ 164: }
  ( cc: [ '0'..'9' ]; s: 164),
{ 165: }
  ( cc: [ '0'..'9' ]; s: 217),
{ 166: }
  ( cc: [ '0'..'9' ]; s: 217),
{ 167: }
  ( cc: [ '''' ]; s: 218),
{ 168: }
  ( cc: [ '''' ]; s: 219),
{ 169: }
  ( cc: [ #1..#9,#11..'f','h'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'g' ]; s: 220),
{ 170: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 221),
{ 171: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 222),
{ 172: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 173: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 174: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 223),
{ 175: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 224),
{ 176: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 225),
{ 177: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 226),
{ 178: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 227),
{ 179: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 228),
{ 180: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 229),
{ 181: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 230),
{ 182: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 231),
{ 183: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 232),
{ 184: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 233),
{ 185: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 234),
{ 186: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 235),
{ 187: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 236),
{ 188: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 237),
{ 189: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 238),
{ 190: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 239),
{ 191: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 192: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 240),
{ 193: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'f','h'..'z' ]; s: 65),
  ( cc: [ 'g' ]; s: 241),
{ 194: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 242),
{ 195: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 196: }
  ( cc: [ '0'..'9','A'..'D','F'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'E' ]; s: 243),
{ 197: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 198: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 199: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'o','q'..'z' ]; s: 65),
  ( cc: [ 'p' ]; s: 244),
{ 200: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 245),
{ 201: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 246),
{ 202: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 247),
{ 203: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 248),
{ 204: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 249),
{ 205: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 250),
{ 206: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 251),
{ 207: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 252),
{ 208: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'u','w'..'z' ]; s: 65),
  ( cc: [ 'v' ]; s: 253),
{ 209: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 254),
{ 210: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 255),
{ 211: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 256),
{ 212: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 257),
{ 213: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 258),
{ 214: }
  ( cc: [ '0'..'9' ]; s: 259),
  ( cc: [ 'D','d' ]; s: 261),
  ( cc: [ 'E','e' ]; s: 260),
{ 215: }
  ( cc: [ '''' ]; s: 215),
  ( cc: [ '0'..'9' ]; s: 164),
{ 216: }
  ( cc: [ '''' ]; s: 262),
{ 217: }
  ( cc: [ '0'..'9' ]; s: 217),
  ( cc: [ 'D','d' ]; s: 264),
  ( cc: [ 'E','e' ]; s: 263),
{ 218: }
  ( cc: [ '"','''','?','\','a','b','f','n','r','t',
            'v' ]; s: 265),
  ( cc: [ '0'..'7' ]; s: 266),
  ( cc: [ 'X','x' ]; s: 267),
{ 219: }
  ( cc: [ '"','''','?','\','a','b','f','n','r','t',
            'v' ]; s: 114),
  ( cc: [ '0'..'7' ]; s: 268),
  ( cc: [ 'X','x' ]; s: 269),
{ 220: }
  ( cc: [ #1..#9,#11..'l','n'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'm' ]; s: 270),
{ 221: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 222: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'w','y','z' ]; s: 65),
  ( cc: [ 'x' ]; s: 271),
{ 223: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'l','n'..'z' ]; s: 65),
  ( cc: [ 'm' ]; s: 272),
{ 224: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 273),
{ 225: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 274),
{ 226: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 227: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 228: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 275),
{ 229: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 276),
{ 230: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 277),
{ 231: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 232: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 278),
{ 233: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 279),
{ 234: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'f','h'..'z' ]; s: 65),
  ( cc: [ 'g' ]; s: 280),
{ 235: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 281),
{ 236: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 237: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'g','i'..'z' ]; s: 65),
  ( cc: [ 'h' ]; s: 282),
{ 238: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'q','s'..'z' ]; s: 65),
  ( cc: [ 'r' ]; s: 283),
{ 239: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 284),
{ 240: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 285),
{ 241: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 286),
{ 242: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 243: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 244: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 287),
{ 245: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'e','g'..'z' ]; s: 65),
  ( cc: [ 'f' ]; s: 288),
{ 246: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 247: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 248: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'x','z' ]; s: 65),
  ( cc: [ 'y' ]; s: 289),
{ 249: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 290),
{ 250: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 291),
{ 251: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 292),
{ 252: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 293),
{ 253: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 294),
{ 254: }
  ( cc: [ '0'..'9','A','C'..'Z','_','a'..'z' ]; s: 65),
  ( cc: [ 'B' ]; s: 295),
{ 255: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 296),
{ 256: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 297),
{ 257: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 298),
{ 258: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 299),
{ 259: }
  ( cc: [ '0'..'9' ]; s: 259),
  ( cc: [ 'D','d' ]; s: 300),
  ( cc: [ 'E','e' ]; s: 260),
{ 260: }
  ( cc: [ '''' ]; s: 301),
  ( cc: [ '0'..'9' ]; s: 302),
{ 261: }
{ 262: }
  ( cc: [ '0'..'9' ]; s: 164),
{ 263: }
  ( cc: [ '''' ]; s: 303),
  ( cc: [ '0'..'9' ]; s: 304),
{ 264: }
{ 265: }
  ( cc: [ '''' ]; s: 305),
{ 266: }
  ( cc: [ '''' ]; s: 305),
  ( cc: [ '0'..'7' ]; s: 306),
{ 267: }
  ( cc: [ '0'..'9','A'..'F','a'..'f' ]; s: 307),
{ 268: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'/','8'..'[',
            ']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
  ( cc: [ '0'..'7' ]; s: 308),
{ 269: }
  ( cc: [ '0'..'9','A'..'F','a'..'f' ]; s: 309),
{ 270: }
  ( cc: [ #1..#9,#11..'`','b'..#255 ]; s: 56),
  ( cc: [ #10 ]; s: 57),
  ( cc: [ 'a' ]; s: 310),
{ 271: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 311),
{ 272: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 273: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'e','g'..'z' ]; s: 65),
  ( cc: [ 'f' ]; s: 312),
{ 274: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 313),
{ 275: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'x','z' ]; s: 65),
  ( cc: [ 'y' ]; s: 314),
{ 276: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 277: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 315),
{ 278: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'f','h'..'z' ]; s: 65),
  ( cc: [ 'g' ]; s: 316),
{ 279: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 317),
{ 280: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 281: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 282: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 283: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 318),
{ 284: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 319),
{ 285: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'x','z' ]; s: 65),
  ( cc: [ 'y' ]; s: 320),
{ 286: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 321),
{ 287: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'h','j'..'z' ]; s: 65),
  ( cc: [ 'i' ]; s: 322),
{ 288: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 323),
{ 289: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 290: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 324),
{ 291: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'t','v'..'z' ]; s: 65),
  ( cc: [ 'u' ]; s: 325),
{ 292: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 293: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 326),
{ 294: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 295: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 327),
{ 296: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 297: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 328),
{ 298: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 299: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 300: }
{ 301: }
  ( cc: [ '''' ]; s: 329),
  ( cc: [ '-' ]; s: 330),
{ 302: }
  ( cc: [ '0'..'9' ]; s: 302),
{ 303: }
  ( cc: [ '''' ]; s: 331),
  ( cc: [ '-' ]; s: 332),
{ 304: }
  ( cc: [ '0'..'9' ]; s: 304),
{ 305: }
{ 306: }
  ( cc: [ '''' ]; s: 305),
  ( cc: [ '0'..'7' ]; s: 265),
{ 307: }
  ( cc: [ '''' ]; s: 305),
  ( cc: [ '0'..'9','A'..'F','a'..'f' ]; s: 265),
{ 308: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'[',']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
{ 309: }
  ( cc: [ #1..#8,#11..'!','#'..'&','('..'[',']'..#255 ]; s: 114),
  ( cc: [ '"' ]; s: 116),
  ( cc: [ '''' ]; s: 115),
{ 310: }
  ( cc: [ #1..#9,#11..#255 ]; s: 310),
  ( cc: [ #10 ]; s: 333),
{ 311: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 312: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 313: }
  ( cc: [ '0'..'9','A'..'Z','_','b'..'z' ]; s: 65),
  ( cc: [ 'a' ]; s: 334),
{ 314: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 315: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 316: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 317: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 318: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 335),
{ 319: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 336),
{ 320: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'o','q'..'z' ]; s: 65),
  ( cc: [ 'p' ]; s: 337),
{ 321: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'c','e'..'z' ]; s: 65),
  ( cc: [ 'd' ]; s: 338),
{ 322: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'n','p'..'z' ]; s: 65),
  ( cc: [ 'o' ]; s: 339),
{ 323: }
  ( cc: [ '0'..'9','A'..'Z','_','a','b','d'..'z' ]; s: 65),
  ( cc: [ 'c' ]; s: 340),
{ 324: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 341),
{ 325: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'s','u'..'z' ]; s: 65),
  ( cc: [ 't' ]; s: 342),
{ 326: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 327: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'r','t'..'z' ]; s: 65),
  ( cc: [ 's' ]; s: 343),
{ 328: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'x','z' ]; s: 65),
  ( cc: [ 'y' ]; s: 344),
{ 329: }
  ( cc: [ '''' ]; s: 329),
  ( cc: [ '0'..'9' ]; s: 302),
{ 330: }
  ( cc: [ '''' ]; s: 345),
{ 331: }
  ( cc: [ '''' ]; s: 331),
  ( cc: [ '0'..'9' ]; s: 304),
{ 332: }
  ( cc: [ '''' ]; s: 346),
{ 333: }
{ 334: }
  ( cc: [ '0'..'9','A'..'Z','_','a','c'..'z' ]; s: 65),
  ( cc: [ 'b' ]; s: 347),
{ 335: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 336: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 337: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 348),
{ 338: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 339: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'m','o'..'z' ]; s: 65),
  ( cc: [ 'n' ]; s: 349),
{ 340: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 350),
{ 341: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 342: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 351),
{ 343: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 352),
{ 344: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 345: }
  ( cc: [ '0'..'9' ]; s: 302),
{ 346: }
  ( cc: [ '0'..'9' ]; s: 304),
{ 347: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'k','m'..'z' ]; s: 65),
  ( cc: [ 'l' ]; s: 353),
{ 348: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 349: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 350: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 351: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 352: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65),
{ 353: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'d','f'..'z' ]; s: 65),
  ( cc: [ 'e' ]; s: 354),
{ 354: }
  ( cc: [ '0'..'9','A'..'Z','_','a'..'z' ]; s: 65)
);

yykl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 1,
{ 2: } 1,
{ 3: } 3,
{ 4: } 4,
{ 5: } 6,
{ 6: } 7,
{ 7: } 9,
{ 8: } 11,
{ 9: } 13,
{ 10: } 15,
{ 11: } 17,
{ 12: } 19,
{ 13: } 21,
{ 14: } 23,
{ 15: } 25,
{ 16: } 27,
{ 17: } 29,
{ 18: } 31,
{ 19: } 33,
{ 20: } 35,
{ 21: } 37,
{ 22: } 39,
{ 23: } 41,
{ 24: } 43,
{ 25: } 45,
{ 26: } 47,
{ 27: } 49,
{ 28: } 51,
{ 29: } 53,
{ 30: } 55,
{ 31: } 57,
{ 32: } 59,
{ 33: } 61,
{ 34: } 63,
{ 35: } 65,
{ 36: } 67,
{ 37: } 69,
{ 38: } 71,
{ 39: } 73,
{ 40: } 75,
{ 41: } 77,
{ 42: } 79,
{ 43: } 81,
{ 44: } 83,
{ 45: } 85,
{ 46: } 87,
{ 47: } 89,
{ 48: } 91,
{ 49: } 93,
{ 50: } 95,
{ 51: } 96,
{ 52: } 98,
{ 53: } 99,
{ 54: } 100,
{ 55: } 101,
{ 56: } 101,
{ 57: } 101,
{ 58: } 102,
{ 59: } 103,
{ 60: } 104,
{ 61: } 105,
{ 62: } 106,
{ 63: } 107,
{ 64: } 108,
{ 65: } 109,
{ 66: } 110,
{ 67: } 111,
{ 68: } 112,
{ 69: } 113,
{ 70: } 114,
{ 71: } 115,
{ 72: } 116,
{ 73: } 117,
{ 74: } 118,
{ 75: } 119,
{ 76: } 120,
{ 77: } 121,
{ 78: } 122,
{ 79: } 123,
{ 80: } 124,
{ 81: } 125,
{ 82: } 126,
{ 83: } 127,
{ 84: } 128,
{ 85: } 129,
{ 86: } 130,
{ 87: } 131,
{ 88: } 132,
{ 89: } 133,
{ 90: } 135,
{ 91: } 136,
{ 92: } 137,
{ 93: } 138,
{ 94: } 139,
{ 95: } 140,
{ 96: } 141,
{ 97: } 142,
{ 98: } 143,
{ 99: } 144,
{ 100: } 145,
{ 101: } 146,
{ 102: } 147,
{ 103: } 148,
{ 104: } 149,
{ 105: } 149,
{ 106: } 149,
{ 107: } 149,
{ 108: } 150,
{ 109: } 151,
{ 110: } 152,
{ 111: } 152,
{ 112: } 152,
{ 113: } 152,
{ 114: } 153,
{ 115: } 153,
{ 116: } 153,
{ 117: } 154,
{ 118: } 154,
{ 119: } 155,
{ 120: } 156,
{ 121: } 157,
{ 122: } 158,
{ 123: } 159,
{ 124: } 160,
{ 125: } 161,
{ 126: } 162,
{ 127: } 163,
{ 128: } 164,
{ 129: } 165,
{ 130: } 166,
{ 131: } 167,
{ 132: } 168,
{ 133: } 169,
{ 134: } 170,
{ 135: } 171,
{ 136: } 172,
{ 137: } 173,
{ 138: } 174,
{ 139: } 175,
{ 140: } 176,
{ 141: } 177,
{ 142: } 178,
{ 143: } 179,
{ 144: } 180,
{ 145: } 181,
{ 146: } 182,
{ 147: } 183,
{ 148: } 184,
{ 149: } 186,
{ 150: } 187,
{ 151: } 188,
{ 152: } 189,
{ 153: } 191,
{ 154: } 192,
{ 155: } 193,
{ 156: } 194,
{ 157: } 195,
{ 158: } 196,
{ 159: } 197,
{ 160: } 198,
{ 161: } 199,
{ 162: } 200,
{ 163: } 200,
{ 164: } 200,
{ 165: } 201,
{ 166: } 201,
{ 167: } 202,
{ 168: } 202,
{ 169: } 202,
{ 170: } 202,
{ 171: } 203,
{ 172: } 204,
{ 173: } 206,
{ 174: } 208,
{ 175: } 209,
{ 176: } 210,
{ 177: } 211,
{ 178: } 212,
{ 179: } 213,
{ 180: } 214,
{ 181: } 215,
{ 182: } 216,
{ 183: } 217,
{ 184: } 218,
{ 185: } 219,
{ 186: } 220,
{ 187: } 221,
{ 188: } 222,
{ 189: } 223,
{ 190: } 224,
{ 191: } 225,
{ 192: } 227,
{ 193: } 228,
{ 194: } 229,
{ 195: } 230,
{ 196: } 232,
{ 197: } 233,
{ 198: } 235,
{ 199: } 237,
{ 200: } 238,
{ 201: } 239,
{ 202: } 240,
{ 203: } 241,
{ 204: } 242,
{ 205: } 243,
{ 206: } 244,
{ 207: } 245,
{ 208: } 246,
{ 209: } 247,
{ 210: } 248,
{ 211: } 249,
{ 212: } 250,
{ 213: } 251,
{ 214: } 252,
{ 215: } 253,
{ 216: } 253,
{ 217: } 253,
{ 218: } 254,
{ 219: } 254,
{ 220: } 254,
{ 221: } 254,
{ 222: } 256,
{ 223: } 257,
{ 224: } 258,
{ 225: } 259,
{ 226: } 260,
{ 227: } 262,
{ 228: } 264,
{ 229: } 265,
{ 230: } 266,
{ 231: } 267,
{ 232: } 269,
{ 233: } 270,
{ 234: } 271,
{ 235: } 272,
{ 236: } 273,
{ 237: } 275,
{ 238: } 276,
{ 239: } 277,
{ 240: } 278,
{ 241: } 279,
{ 242: } 280,
{ 243: } 282,
{ 244: } 284,
{ 245: } 285,
{ 246: } 286,
{ 247: } 288,
{ 248: } 290,
{ 249: } 291,
{ 250: } 292,
{ 251: } 293,
{ 252: } 294,
{ 253: } 295,
{ 254: } 296,
{ 255: } 297,
{ 256: } 298,
{ 257: } 299,
{ 258: } 300,
{ 259: } 301,
{ 260: } 302,
{ 261: } 302,
{ 262: } 303,
{ 263: } 303,
{ 264: } 303,
{ 265: } 304,
{ 266: } 304,
{ 267: } 304,
{ 268: } 304,
{ 269: } 304,
{ 270: } 304,
{ 271: } 304,
{ 272: } 305,
{ 273: } 307,
{ 274: } 308,
{ 275: } 309,
{ 276: } 310,
{ 277: } 312,
{ 278: } 313,
{ 279: } 314,
{ 280: } 315,
{ 281: } 317,
{ 282: } 319,
{ 283: } 321,
{ 284: } 322,
{ 285: } 323,
{ 286: } 324,
{ 287: } 325,
{ 288: } 326,
{ 289: } 327,
{ 290: } 329,
{ 291: } 330,
{ 292: } 331,
{ 293: } 333,
{ 294: } 334,
{ 295: } 336,
{ 296: } 337,
{ 297: } 339,
{ 298: } 340,
{ 299: } 342,
{ 300: } 344,
{ 301: } 345,
{ 302: } 345,
{ 303: } 346,
{ 304: } 346,
{ 305: } 347,
{ 306: } 348,
{ 307: } 348,
{ 308: } 348,
{ 309: } 348,
{ 310: } 348,
{ 311: } 348,
{ 312: } 350,
{ 313: } 352,
{ 314: } 353,
{ 315: } 355,
{ 316: } 357,
{ 317: } 359,
{ 318: } 361,
{ 319: } 362,
{ 320: } 363,
{ 321: } 364,
{ 322: } 365,
{ 323: } 366,
{ 324: } 367,
{ 325: } 368,
{ 326: } 369,
{ 327: } 371,
{ 328: } 372,
{ 329: } 373,
{ 330: } 373,
{ 331: } 373,
{ 332: } 373,
{ 333: } 373,
{ 334: } 375,
{ 335: } 376,
{ 336: } 378,
{ 337: } 380,
{ 338: } 381,
{ 339: } 383,
{ 340: } 384,
{ 341: } 385,
{ 342: } 387,
{ 343: } 388,
{ 344: } 389,
{ 345: } 391,
{ 346: } 391,
{ 347: } 391,
{ 348: } 392,
{ 349: } 394,
{ 350: } 396,
{ 351: } 398,
{ 352: } 400,
{ 353: } 402,
{ 354: } 403
);

yykh : array [0..yynstates-1] of Integer = (
{ 0: } 0,
{ 1: } 0,
{ 2: } 2,
{ 3: } 3,
{ 4: } 5,
{ 5: } 6,
{ 6: } 8,
{ 7: } 10,
{ 8: } 12,
{ 9: } 14,
{ 10: } 16,
{ 11: } 18,
{ 12: } 20,
{ 13: } 22,
{ 14: } 24,
{ 15: } 26,
{ 16: } 28,
{ 17: } 30,
{ 18: } 32,
{ 19: } 34,
{ 20: } 36,
{ 21: } 38,
{ 22: } 40,
{ 23: } 42,
{ 24: } 44,
{ 25: } 46,
{ 26: } 48,
{ 27: } 50,
{ 28: } 52,
{ 29: } 54,
{ 30: } 56,
{ 31: } 58,
{ 32: } 60,
{ 33: } 62,
{ 34: } 64,
{ 35: } 66,
{ 36: } 68,
{ 37: } 70,
{ 38: } 72,
{ 39: } 74,
{ 40: } 76,
{ 41: } 78,
{ 42: } 80,
{ 43: } 82,
{ 44: } 84,
{ 45: } 86,
{ 46: } 88,
{ 47: } 90,
{ 48: } 92,
{ 49: } 94,
{ 50: } 95,
{ 51: } 97,
{ 52: } 98,
{ 53: } 99,
{ 54: } 100,
{ 55: } 100,
{ 56: } 100,
{ 57: } 101,
{ 58: } 102,
{ 59: } 103,
{ 60: } 104,
{ 61: } 105,
{ 62: } 106,
{ 63: } 107,
{ 64: } 108,
{ 65: } 109,
{ 66: } 110,
{ 67: } 111,
{ 68: } 112,
{ 69: } 113,
{ 70: } 114,
{ 71: } 115,
{ 72: } 116,
{ 73: } 117,
{ 74: } 118,
{ 75: } 119,
{ 76: } 120,
{ 77: } 121,
{ 78: } 122,
{ 79: } 123,
{ 80: } 124,
{ 81: } 125,
{ 82: } 126,
{ 83: } 127,
{ 84: } 128,
{ 85: } 129,
{ 86: } 130,
{ 87: } 131,
{ 88: } 132,
{ 89: } 134,
{ 90: } 135,
{ 91: } 136,
{ 92: } 137,
{ 93: } 138,
{ 94: } 139,
{ 95: } 140,
{ 96: } 141,
{ 97: } 142,
{ 98: } 143,
{ 99: } 144,
{ 100: } 145,
{ 101: } 146,
{ 102: } 147,
{ 103: } 148,
{ 104: } 148,
{ 105: } 148,
{ 106: } 148,
{ 107: } 149,
{ 108: } 150,
{ 109: } 151,
{ 110: } 151,
{ 111: } 151,
{ 112: } 151,
{ 113: } 152,
{ 114: } 152,
{ 115: } 152,
{ 116: } 153,
{ 117: } 153,
{ 118: } 154,
{ 119: } 155,
{ 120: } 156,
{ 121: } 157,
{ 122: } 158,
{ 123: } 159,
{ 124: } 160,
{ 125: } 161,
{ 126: } 162,
{ 127: } 163,
{ 128: } 164,
{ 129: } 165,
{ 130: } 166,
{ 131: } 167,
{ 132: } 168,
{ 133: } 169,
{ 134: } 170,
{ 135: } 171,
{ 136: } 172,
{ 137: } 173,
{ 138: } 174,
{ 139: } 175,
{ 140: } 176,
{ 141: } 177,
{ 142: } 178,
{ 143: } 179,
{ 144: } 180,
{ 145: } 181,
{ 146: } 182,
{ 147: } 183,
{ 148: } 185,
{ 149: } 186,
{ 150: } 187,
{ 151: } 188,
{ 152: } 190,
{ 153: } 191,
{ 154: } 192,
{ 155: } 193,
{ 156: } 194,
{ 157: } 195,
{ 158: } 196,
{ 159: } 197,
{ 160: } 198,
{ 161: } 199,
{ 162: } 199,
{ 163: } 199,
{ 164: } 200,
{ 165: } 200,
{ 166: } 201,
{ 167: } 201,
{ 168: } 201,
{ 169: } 201,
{ 170: } 202,
{ 171: } 203,
{ 172: } 205,
{ 173: } 207,
{ 174: } 208,
{ 175: } 209,
{ 176: } 210,
{ 177: } 211,
{ 178: } 212,
{ 179: } 213,
{ 180: } 214,
{ 181: } 215,
{ 182: } 216,
{ 183: } 217,
{ 184: } 218,
{ 185: } 219,
{ 186: } 220,
{ 187: } 221,
{ 188: } 222,
{ 189: } 223,
{ 190: } 224,
{ 191: } 226,
{ 192: } 227,
{ 193: } 228,
{ 194: } 229,
{ 195: } 231,
{ 196: } 232,
{ 197: } 234,
{ 198: } 236,
{ 199: } 237,
{ 200: } 238,
{ 201: } 239,
{ 202: } 240,
{ 203: } 241,
{ 204: } 242,
{ 205: } 243,
{ 206: } 244,
{ 207: } 245,
{ 208: } 246,
{ 209: } 247,
{ 210: } 248,
{ 211: } 249,
{ 212: } 250,
{ 213: } 251,
{ 214: } 252,
{ 215: } 252,
{ 216: } 252,
{ 217: } 253,
{ 218: } 253,
{ 219: } 253,
{ 220: } 253,
{ 221: } 255,
{ 222: } 256,
{ 223: } 257,
{ 224: } 258,
{ 225: } 259,
{ 226: } 261,
{ 227: } 263,
{ 228: } 264,
{ 229: } 265,
{ 230: } 266,
{ 231: } 268,
{ 232: } 269,
{ 233: } 270,
{ 234: } 271,
{ 235: } 272,
{ 236: } 274,
{ 237: } 275,
{ 238: } 276,
{ 239: } 277,
{ 240: } 278,
{ 241: } 279,
{ 242: } 281,
{ 243: } 283,
{ 244: } 284,
{ 245: } 285,
{ 246: } 287,
{ 247: } 289,
{ 248: } 290,
{ 249: } 291,
{ 250: } 292,
{ 251: } 293,
{ 252: } 294,
{ 253: } 295,
{ 254: } 296,
{ 255: } 297,
{ 256: } 298,
{ 257: } 299,
{ 258: } 300,
{ 259: } 301,
{ 260: } 301,
{ 261: } 302,
{ 262: } 302,
{ 263: } 302,
{ 264: } 303,
{ 265: } 303,
{ 266: } 303,
{ 267: } 303,
{ 268: } 303,
{ 269: } 303,
{ 270: } 303,
{ 271: } 304,
{ 272: } 306,
{ 273: } 307,
{ 274: } 308,
{ 275: } 309,
{ 276: } 311,
{ 277: } 312,
{ 278: } 313,
{ 279: } 314,
{ 280: } 316,
{ 281: } 318,
{ 282: } 320,
{ 283: } 321,
{ 284: } 322,
{ 285: } 323,
{ 286: } 324,
{ 287: } 325,
{ 288: } 326,
{ 289: } 328,
{ 290: } 329,
{ 291: } 330,
{ 292: } 332,
{ 293: } 333,
{ 294: } 335,
{ 295: } 336,
{ 296: } 338,
{ 297: } 339,
{ 298: } 341,
{ 299: } 343,
{ 300: } 344,
{ 301: } 344,
{ 302: } 345,
{ 303: } 345,
{ 304: } 346,
{ 305: } 347,
{ 306: } 347,
{ 307: } 347,
{ 308: } 347,
{ 309: } 347,
{ 310: } 347,
{ 311: } 349,
{ 312: } 351,
{ 313: } 352,
{ 314: } 354,
{ 315: } 356,
{ 316: } 358,
{ 317: } 360,
{ 318: } 361,
{ 319: } 362,
{ 320: } 363,
{ 321: } 364,
{ 322: } 365,
{ 323: } 366,
{ 324: } 367,
{ 325: } 368,
{ 326: } 370,
{ 327: } 371,
{ 328: } 372,
{ 329: } 372,
{ 330: } 372,
{ 331: } 372,
{ 332: } 372,
{ 333: } 374,
{ 334: } 375,
{ 335: } 377,
{ 336: } 379,
{ 337: } 380,
{ 338: } 382,
{ 339: } 383,
{ 340: } 384,
{ 341: } 386,
{ 342: } 387,
{ 343: } 388,
{ 344: } 390,
{ 345: } 390,
{ 346: } 390,
{ 347: } 391,
{ 348: } 393,
{ 349: } 395,
{ 350: } 397,
{ 351: } 399,
{ 352: } 401,
{ 353: } 402,
{ 354: } 404
);

yyml : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 1,
{ 2: } 1,
{ 3: } 3,
{ 4: } 4,
{ 5: } 6,
{ 6: } 7,
{ 7: } 9,
{ 8: } 11,
{ 9: } 13,
{ 10: } 15,
{ 11: } 17,
{ 12: } 19,
{ 13: } 21,
{ 14: } 23,
{ 15: } 25,
{ 16: } 27,
{ 17: } 29,
{ 18: } 31,
{ 19: } 33,
{ 20: } 35,
{ 21: } 37,
{ 22: } 39,
{ 23: } 41,
{ 24: } 43,
{ 25: } 45,
{ 26: } 47,
{ 27: } 49,
{ 28: } 51,
{ 29: } 53,
{ 30: } 55,
{ 31: } 57,
{ 32: } 59,
{ 33: } 61,
{ 34: } 63,
{ 35: } 65,
{ 36: } 67,
{ 37: } 69,
{ 38: } 71,
{ 39: } 73,
{ 40: } 75,
{ 41: } 77,
{ 42: } 79,
{ 43: } 81,
{ 44: } 83,
{ 45: } 85,
{ 46: } 87,
{ 47: } 89,
{ 48: } 91,
{ 49: } 93,
{ 50: } 95,
{ 51: } 96,
{ 52: } 98,
{ 53: } 99,
{ 54: } 100,
{ 55: } 101,
{ 56: } 101,
{ 57: } 101,
{ 58: } 102,
{ 59: } 103,
{ 60: } 104,
{ 61: } 105,
{ 62: } 106,
{ 63: } 107,
{ 64: } 108,
{ 65: } 109,
{ 66: } 110,
{ 67: } 111,
{ 68: } 112,
{ 69: } 113,
{ 70: } 114,
{ 71: } 115,
{ 72: } 116,
{ 73: } 117,
{ 74: } 118,
{ 75: } 119,
{ 76: } 120,
{ 77: } 121,
{ 78: } 122,
{ 79: } 123,
{ 80: } 124,
{ 81: } 125,
{ 82: } 126,
{ 83: } 127,
{ 84: } 128,
{ 85: } 129,
{ 86: } 130,
{ 87: } 131,
{ 88: } 132,
{ 89: } 133,
{ 90: } 135,
{ 91: } 136,
{ 92: } 137,
{ 93: } 138,
{ 94: } 139,
{ 95: } 140,
{ 96: } 141,
{ 97: } 142,
{ 98: } 143,
{ 99: } 144,
{ 100: } 145,
{ 101: } 146,
{ 102: } 147,
{ 103: } 148,
{ 104: } 149,
{ 105: } 149,
{ 106: } 149,
{ 107: } 149,
{ 108: } 150,
{ 109: } 151,
{ 110: } 152,
{ 111: } 152,
{ 112: } 152,
{ 113: } 152,
{ 114: } 153,
{ 115: } 153,
{ 116: } 153,
{ 117: } 154,
{ 118: } 154,
{ 119: } 155,
{ 120: } 156,
{ 121: } 157,
{ 122: } 158,
{ 123: } 159,
{ 124: } 160,
{ 125: } 161,
{ 126: } 162,
{ 127: } 163,
{ 128: } 164,
{ 129: } 165,
{ 130: } 166,
{ 131: } 167,
{ 132: } 168,
{ 133: } 169,
{ 134: } 170,
{ 135: } 171,
{ 136: } 172,
{ 137: } 173,
{ 138: } 174,
{ 139: } 175,
{ 140: } 176,
{ 141: } 177,
{ 142: } 178,
{ 143: } 179,
{ 144: } 180,
{ 145: } 181,
{ 146: } 182,
{ 147: } 183,
{ 148: } 184,
{ 149: } 186,
{ 150: } 187,
{ 151: } 188,
{ 152: } 189,
{ 153: } 191,
{ 154: } 192,
{ 155: } 193,
{ 156: } 194,
{ 157: } 195,
{ 158: } 196,
{ 159: } 197,
{ 160: } 198,
{ 161: } 199,
{ 162: } 200,
{ 163: } 200,
{ 164: } 200,
{ 165: } 201,
{ 166: } 201,
{ 167: } 202,
{ 168: } 202,
{ 169: } 202,
{ 170: } 202,
{ 171: } 203,
{ 172: } 204,
{ 173: } 206,
{ 174: } 208,
{ 175: } 209,
{ 176: } 210,
{ 177: } 211,
{ 178: } 212,
{ 179: } 213,
{ 180: } 214,
{ 181: } 215,
{ 182: } 216,
{ 183: } 217,
{ 184: } 218,
{ 185: } 219,
{ 186: } 220,
{ 187: } 221,
{ 188: } 222,
{ 189: } 223,
{ 190: } 224,
{ 191: } 225,
{ 192: } 227,
{ 193: } 228,
{ 194: } 229,
{ 195: } 230,
{ 196: } 232,
{ 197: } 233,
{ 198: } 235,
{ 199: } 237,
{ 200: } 238,
{ 201: } 239,
{ 202: } 240,
{ 203: } 241,
{ 204: } 242,
{ 205: } 243,
{ 206: } 244,
{ 207: } 245,
{ 208: } 246,
{ 209: } 247,
{ 210: } 248,
{ 211: } 249,
{ 212: } 250,
{ 213: } 251,
{ 214: } 252,
{ 215: } 253,
{ 216: } 253,
{ 217: } 253,
{ 218: } 254,
{ 219: } 254,
{ 220: } 254,
{ 221: } 254,
{ 222: } 256,
{ 223: } 257,
{ 224: } 258,
{ 225: } 259,
{ 226: } 260,
{ 227: } 262,
{ 228: } 264,
{ 229: } 265,
{ 230: } 266,
{ 231: } 267,
{ 232: } 269,
{ 233: } 270,
{ 234: } 271,
{ 235: } 272,
{ 236: } 273,
{ 237: } 275,
{ 238: } 276,
{ 239: } 277,
{ 240: } 278,
{ 241: } 279,
{ 242: } 280,
{ 243: } 282,
{ 244: } 284,
{ 245: } 285,
{ 246: } 286,
{ 247: } 288,
{ 248: } 290,
{ 249: } 291,
{ 250: } 292,
{ 251: } 293,
{ 252: } 294,
{ 253: } 295,
{ 254: } 296,
{ 255: } 297,
{ 256: } 298,
{ 257: } 299,
{ 258: } 300,
{ 259: } 301,
{ 260: } 302,
{ 261: } 302,
{ 262: } 303,
{ 263: } 303,
{ 264: } 303,
{ 265: } 304,
{ 266: } 304,
{ 267: } 304,
{ 268: } 304,
{ 269: } 304,
{ 270: } 304,
{ 271: } 304,
{ 272: } 305,
{ 273: } 307,
{ 274: } 308,
{ 275: } 309,
{ 276: } 310,
{ 277: } 312,
{ 278: } 313,
{ 279: } 314,
{ 280: } 315,
{ 281: } 317,
{ 282: } 319,
{ 283: } 321,
{ 284: } 322,
{ 285: } 323,
{ 286: } 324,
{ 287: } 325,
{ 288: } 326,
{ 289: } 327,
{ 290: } 329,
{ 291: } 330,
{ 292: } 331,
{ 293: } 333,
{ 294: } 334,
{ 295: } 336,
{ 296: } 337,
{ 297: } 339,
{ 298: } 340,
{ 299: } 342,
{ 300: } 344,
{ 301: } 345,
{ 302: } 345,
{ 303: } 346,
{ 304: } 346,
{ 305: } 347,
{ 306: } 348,
{ 307: } 348,
{ 308: } 348,
{ 309: } 348,
{ 310: } 348,
{ 311: } 348,
{ 312: } 350,
{ 313: } 352,
{ 314: } 353,
{ 315: } 355,
{ 316: } 357,
{ 317: } 359,
{ 318: } 361,
{ 319: } 362,
{ 320: } 363,
{ 321: } 364,
{ 322: } 365,
{ 323: } 366,
{ 324: } 367,
{ 325: } 368,
{ 326: } 369,
{ 327: } 371,
{ 328: } 372,
{ 329: } 373,
{ 330: } 373,
{ 331: } 373,
{ 332: } 373,
{ 333: } 373,
{ 334: } 375,
{ 335: } 376,
{ 336: } 378,
{ 337: } 380,
{ 338: } 381,
{ 339: } 383,
{ 340: } 384,
{ 341: } 385,
{ 342: } 387,
{ 343: } 388,
{ 344: } 389,
{ 345: } 391,
{ 346: } 391,
{ 347: } 391,
{ 348: } 392,
{ 349: } 394,
{ 350: } 396,
{ 351: } 398,
{ 352: } 400,
{ 353: } 402,
{ 354: } 403
);

yymh : array [0..yynstates-1] of Integer = (
{ 0: } 0,
{ 1: } 0,
{ 2: } 2,
{ 3: } 3,
{ 4: } 5,
{ 5: } 6,
{ 6: } 8,
{ 7: } 10,
{ 8: } 12,
{ 9: } 14,
{ 10: } 16,
{ 11: } 18,
{ 12: } 20,
{ 13: } 22,
{ 14: } 24,
{ 15: } 26,
{ 16: } 28,
{ 17: } 30,
{ 18: } 32,
{ 19: } 34,
{ 20: } 36,
{ 21: } 38,
{ 22: } 40,
{ 23: } 42,
{ 24: } 44,
{ 25: } 46,
{ 26: } 48,
{ 27: } 50,
{ 28: } 52,
{ 29: } 54,
{ 30: } 56,
{ 31: } 58,
{ 32: } 60,
{ 33: } 62,
{ 34: } 64,
{ 35: } 66,
{ 36: } 68,
{ 37: } 70,
{ 38: } 72,
{ 39: } 74,
{ 40: } 76,
{ 41: } 78,
{ 42: } 80,
{ 43: } 82,
{ 44: } 84,
{ 45: } 86,
{ 46: } 88,
{ 47: } 90,
{ 48: } 92,
{ 49: } 94,
{ 50: } 95,
{ 51: } 97,
{ 52: } 98,
{ 53: } 99,
{ 54: } 100,
{ 55: } 100,
{ 56: } 100,
{ 57: } 101,
{ 58: } 102,
{ 59: } 103,
{ 60: } 104,
{ 61: } 105,
{ 62: } 106,
{ 63: } 107,
{ 64: } 108,
{ 65: } 109,
{ 66: } 110,
{ 67: } 111,
{ 68: } 112,
{ 69: } 113,
{ 70: } 114,
{ 71: } 115,
{ 72: } 116,
{ 73: } 117,
{ 74: } 118,
{ 75: } 119,
{ 76: } 120,
{ 77: } 121,
{ 78: } 122,
{ 79: } 123,
{ 80: } 124,
{ 81: } 125,
{ 82: } 126,
{ 83: } 127,
{ 84: } 128,
{ 85: } 129,
{ 86: } 130,
{ 87: } 131,
{ 88: } 132,
{ 89: } 134,
{ 90: } 135,
{ 91: } 136,
{ 92: } 137,
{ 93: } 138,
{ 94: } 139,
{ 95: } 140,
{ 96: } 141,
{ 97: } 142,
{ 98: } 143,
{ 99: } 144,
{ 100: } 145,
{ 101: } 146,
{ 102: } 147,
{ 103: } 148,
{ 104: } 148,
{ 105: } 148,
{ 106: } 148,
{ 107: } 149,
{ 108: } 150,
{ 109: } 151,
{ 110: } 151,
{ 111: } 151,
{ 112: } 151,
{ 113: } 152,
{ 114: } 152,
{ 115: } 152,
{ 116: } 153,
{ 117: } 153,
{ 118: } 154,
{ 119: } 155,
{ 120: } 156,
{ 121: } 157,
{ 122: } 158,
{ 123: } 159,
{ 124: } 160,
{ 125: } 161,
{ 126: } 162,
{ 127: } 163,
{ 128: } 164,
{ 129: } 165,
{ 130: } 166,
{ 131: } 167,
{ 132: } 168,
{ 133: } 169,
{ 134: } 170,
{ 135: } 171,
{ 136: } 172,
{ 137: } 173,
{ 138: } 174,
{ 139: } 175,
{ 140: } 176,
{ 141: } 177,
{ 142: } 178,
{ 143: } 179,
{ 144: } 180,
{ 145: } 181,
{ 146: } 182,
{ 147: } 183,
{ 148: } 185,
{ 149: } 186,
{ 150: } 187,
{ 151: } 188,
{ 152: } 190,
{ 153: } 191,
{ 154: } 192,
{ 155: } 193,
{ 156: } 194,
{ 157: } 195,
{ 158: } 196,
{ 159: } 197,
{ 160: } 198,
{ 161: } 199,
{ 162: } 199,
{ 163: } 199,
{ 164: } 200,
{ 165: } 200,
{ 166: } 201,
{ 167: } 201,
{ 168: } 201,
{ 169: } 201,
{ 170: } 202,
{ 171: } 203,
{ 172: } 205,
{ 173: } 207,
{ 174: } 208,
{ 175: } 209,
{ 176: } 210,
{ 177: } 211,
{ 178: } 212,
{ 179: } 213,
{ 180: } 214,
{ 181: } 215,
{ 182: } 216,
{ 183: } 217,
{ 184: } 218,
{ 185: } 219,
{ 186: } 220,
{ 187: } 221,
{ 188: } 222,
{ 189: } 223,
{ 190: } 224,
{ 191: } 226,
{ 192: } 227,
{ 193: } 228,
{ 194: } 229,
{ 195: } 231,
{ 196: } 232,
{ 197: } 234,
{ 198: } 236,
{ 199: } 237,
{ 200: } 238,
{ 201: } 239,
{ 202: } 240,
{ 203: } 241,
{ 204: } 242,
{ 205: } 243,
{ 206: } 244,
{ 207: } 245,
{ 208: } 246,
{ 209: } 247,
{ 210: } 248,
{ 211: } 249,
{ 212: } 250,
{ 213: } 251,
{ 214: } 252,
{ 215: } 252,
{ 216: } 252,
{ 217: } 253,
{ 218: } 253,
{ 219: } 253,
{ 220: } 253,
{ 221: } 255,
{ 222: } 256,
{ 223: } 257,
{ 224: } 258,
{ 225: } 259,
{ 226: } 261,
{ 227: } 263,
{ 228: } 264,
{ 229: } 265,
{ 230: } 266,
{ 231: } 268,
{ 232: } 269,
{ 233: } 270,
{ 234: } 271,
{ 235: } 272,
{ 236: } 274,
{ 237: } 275,
{ 238: } 276,
{ 239: } 277,
{ 240: } 278,
{ 241: } 279,
{ 242: } 281,
{ 243: } 283,
{ 244: } 284,
{ 245: } 285,
{ 246: } 287,
{ 247: } 289,
{ 248: } 290,
{ 249: } 291,
{ 250: } 292,
{ 251: } 293,
{ 252: } 294,
{ 253: } 295,
{ 254: } 296,
{ 255: } 297,
{ 256: } 298,
{ 257: } 299,
{ 258: } 300,
{ 259: } 301,
{ 260: } 301,
{ 261: } 302,
{ 262: } 302,
{ 263: } 302,
{ 264: } 303,
{ 265: } 303,
{ 266: } 303,
{ 267: } 303,
{ 268: } 303,
{ 269: } 303,
{ 270: } 303,
{ 271: } 304,
{ 272: } 306,
{ 273: } 307,
{ 274: } 308,
{ 275: } 309,
{ 276: } 311,
{ 277: } 312,
{ 278: } 313,
{ 279: } 314,
{ 280: } 316,
{ 281: } 318,
{ 282: } 320,
{ 283: } 321,
{ 284: } 322,
{ 285: } 323,
{ 286: } 324,
{ 287: } 325,
{ 288: } 326,
{ 289: } 328,
{ 290: } 329,
{ 291: } 330,
{ 292: } 332,
{ 293: } 333,
{ 294: } 335,
{ 295: } 336,
{ 296: } 338,
{ 297: } 339,
{ 298: } 341,
{ 299: } 343,
{ 300: } 344,
{ 301: } 344,
{ 302: } 345,
{ 303: } 345,
{ 304: } 346,
{ 305: } 347,
{ 306: } 347,
{ 307: } 347,
{ 308: } 347,
{ 309: } 347,
{ 310: } 347,
{ 311: } 349,
{ 312: } 351,
{ 313: } 352,
{ 314: } 354,
{ 315: } 356,
{ 316: } 358,
{ 317: } 360,
{ 318: } 361,
{ 319: } 362,
{ 320: } 363,
{ 321: } 364,
{ 322: } 365,
{ 323: } 366,
{ 324: } 367,
{ 325: } 368,
{ 326: } 370,
{ 327: } 371,
{ 328: } 372,
{ 329: } 372,
{ 330: } 372,
{ 331: } 372,
{ 332: } 372,
{ 333: } 374,
{ 334: } 375,
{ 335: } 377,
{ 336: } 379,
{ 337: } 380,
{ 338: } 382,
{ 339: } 383,
{ 340: } 384,
{ 341: } 386,
{ 342: } 387,
{ 343: } 388,
{ 344: } 390,
{ 345: } 390,
{ 346: } 390,
{ 347: } 391,
{ 348: } 393,
{ 349: } 395,
{ 350: } 397,
{ 351: } 399,
{ 352: } 401,
{ 353: } 402,
{ 354: } 404
);

yytl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 53,
{ 2: } 105,
{ 3: } 105,
{ 4: } 105,
{ 5: } 106,
{ 6: } 109,
{ 7: } 109,
{ 8: } 109,
{ 9: } 109,
{ 10: } 109,
{ 11: } 109,
{ 12: } 109,
{ 13: } 110,
{ 14: } 110,
{ 15: } 110,
{ 16: } 110,
{ 17: } 111,
{ 18: } 112,
{ 19: } 112,
{ 20: } 112,
{ 21: } 112,
{ 22: } 112,
{ 23: } 112,
{ 24: } 112,
{ 25: } 112,
{ 26: } 112,
{ 27: } 117,
{ 28: } 120,
{ 29: } 124,
{ 30: } 127,
{ 31: } 130,
{ 32: } 132,
{ 33: } 138,
{ 34: } 141,
{ 35: } 143,
{ 36: } 145,
{ 37: } 147,
{ 38: } 149,
{ 39: } 152,
{ 40: } 154,
{ 41: } 158,
{ 42: } 162,
{ 43: } 165,
{ 44: } 167,
{ 45: } 169,
{ 46: } 171,
{ 47: } 174,
{ 48: } 176,
{ 49: } 177,
{ 50: } 183,
{ 51: } 186,
{ 52: } 190,
{ 53: } 193,
{ 54: } 193,
{ 55: } 194,
{ 56: } 197,
{ 57: } 199,
{ 58: } 199,
{ 59: } 199,
{ 60: } 199,
{ 61: } 199,
{ 62: } 201,
{ 63: } 203,
{ 64: } 205,
{ 65: } 207,
{ 66: } 208,
{ 67: } 210,
{ 68: } 212,
{ 69: } 214,
{ 70: } 216,
{ 71: } 218,
{ 72: } 220,
{ 73: } 222,
{ 74: } 224,
{ 75: } 226,
{ 76: } 228,
{ 77: } 230,
{ 78: } 232,
{ 79: } 234,
{ 80: } 236,
{ 81: } 238,
{ 82: } 240,
{ 83: } 242,
{ 84: } 245,
{ 85: } 247,
{ 86: } 249,
{ 87: } 251,
{ 88: } 253,
{ 89: } 255,
{ 90: } 258,
{ 91: } 260,
{ 92: } 262,
{ 93: } 264,
{ 94: } 266,
{ 95: } 268,
{ 96: } 270,
{ 97: } 272,
{ 98: } 274,
{ 99: } 276,
{ 100: } 278,
{ 101: } 280,
{ 102: } 282,
{ 103: } 284,
{ 104: } 286,
{ 105: } 290,
{ 106: } 291,
{ 107: } 293,
{ 108: } 293,
{ 109: } 298,
{ 110: } 299,
{ 111: } 300,
{ 112: } 301,
{ 113: } 303,
{ 114: } 307,
{ 115: } 310,
{ 116: } 314,
{ 117: } 314,
{ 118: } 317,
{ 119: } 320,
{ 120: } 322,
{ 121: } 324,
{ 122: } 326,
{ 123: } 328,
{ 124: } 330,
{ 125: } 332,
{ 126: } 334,
{ 127: } 336,
{ 128: } 338,
{ 129: } 340,
{ 130: } 342,
{ 131: } 344,
{ 132: } 346,
{ 133: } 349,
{ 134: } 351,
{ 135: } 353,
{ 136: } 355,
{ 137: } 357,
{ 138: } 359,
{ 139: } 361,
{ 140: } 363,
{ 141: } 365,
{ 142: } 367,
{ 143: } 369,
{ 144: } 371,
{ 145: } 373,
{ 146: } 375,
{ 147: } 377,
{ 148: } 379,
{ 149: } 380,
{ 150: } 382,
{ 151: } 384,
{ 152: } 386,
{ 153: } 387,
{ 154: } 389,
{ 155: } 391,
{ 156: } 393,
{ 157: } 395,
{ 158: } 397,
{ 159: } 399,
{ 160: } 401,
{ 161: } 403,
{ 162: } 405,
{ 163: } 406,
{ 164: } 408,
{ 165: } 409,
{ 166: } 410,
{ 167: } 411,
{ 168: } 412,
{ 169: } 413,
{ 170: } 416,
{ 171: } 418,
{ 172: } 420,
{ 173: } 421,
{ 174: } 422,
{ 175: } 424,
{ 176: } 426,
{ 177: } 428,
{ 178: } 430,
{ 179: } 432,
{ 180: } 434,
{ 181: } 436,
{ 182: } 438,
{ 183: } 440,
{ 184: } 442,
{ 185: } 444,
{ 186: } 446,
{ 187: } 448,
{ 188: } 450,
{ 189: } 452,
{ 190: } 454,
{ 191: } 456,
{ 192: } 457,
{ 193: } 459,
{ 194: } 461,
{ 195: } 463,
{ 196: } 464,
{ 197: } 466,
{ 198: } 467,
{ 199: } 468,
{ 200: } 470,
{ 201: } 472,
{ 202: } 474,
{ 203: } 476,
{ 204: } 478,
{ 205: } 480,
{ 206: } 482,
{ 207: } 484,
{ 208: } 486,
{ 209: } 488,
{ 210: } 490,
{ 211: } 492,
{ 212: } 494,
{ 213: } 496,
{ 214: } 498,
{ 215: } 501,
{ 216: } 503,
{ 217: } 504,
{ 218: } 507,
{ 219: } 510,
{ 220: } 513,
{ 221: } 516,
{ 222: } 517,
{ 223: } 519,
{ 224: } 521,
{ 225: } 523,
{ 226: } 525,
{ 227: } 526,
{ 228: } 527,
{ 229: } 529,
{ 230: } 531,
{ 231: } 533,
{ 232: } 534,
{ 233: } 536,
{ 234: } 538,
{ 235: } 540,
{ 236: } 542,
{ 237: } 543,
{ 238: } 545,
{ 239: } 547,
{ 240: } 549,
{ 241: } 551,
{ 242: } 553,
{ 243: } 554,
{ 244: } 555,
{ 245: } 557,
{ 246: } 559,
{ 247: } 560,
{ 248: } 561,
{ 249: } 563,
{ 250: } 565,
{ 251: } 567,
{ 252: } 569,
{ 253: } 571,
{ 254: } 573,
{ 255: } 575,
{ 256: } 577,
{ 257: } 579,
{ 258: } 581,
{ 259: } 583,
{ 260: } 586,
{ 261: } 588,
{ 262: } 588,
{ 263: } 589,
{ 264: } 591,
{ 265: } 591,
{ 266: } 592,
{ 267: } 594,
{ 268: } 595,
{ 269: } 599,
{ 270: } 600,
{ 271: } 603,
{ 272: } 605,
{ 273: } 606,
{ 274: } 608,
{ 275: } 610,
{ 276: } 612,
{ 277: } 613,
{ 278: } 615,
{ 279: } 617,
{ 280: } 619,
{ 281: } 620,
{ 282: } 621,
{ 283: } 622,
{ 284: } 624,
{ 285: } 626,
{ 286: } 628,
{ 287: } 630,
{ 288: } 632,
{ 289: } 634,
{ 290: } 635,
{ 291: } 637,
{ 292: } 639,
{ 293: } 640,
{ 294: } 642,
{ 295: } 643,
{ 296: } 645,
{ 297: } 646,
{ 298: } 648,
{ 299: } 649,
{ 300: } 650,
{ 301: } 650,
{ 302: } 652,
{ 303: } 653,
{ 304: } 655,
{ 305: } 656,
{ 306: } 656,
{ 307: } 658,
{ 308: } 660,
{ 309: } 663,
{ 310: } 666,
{ 311: } 668,
{ 312: } 669,
{ 313: } 670,
{ 314: } 672,
{ 315: } 673,
{ 316: } 674,
{ 317: } 675,
{ 318: } 676,
{ 319: } 678,
{ 320: } 680,
{ 321: } 682,
{ 322: } 684,
{ 323: } 686,
{ 324: } 688,
{ 325: } 690,
{ 326: } 692,
{ 327: } 693,
{ 328: } 695,
{ 329: } 697,
{ 330: } 699,
{ 331: } 700,
{ 332: } 702,
{ 333: } 703,
{ 334: } 703,
{ 335: } 705,
{ 336: } 706,
{ 337: } 707,
{ 338: } 709,
{ 339: } 710,
{ 340: } 712,
{ 341: } 714,
{ 342: } 715,
{ 343: } 717,
{ 344: } 719,
{ 345: } 720,
{ 346: } 721,
{ 347: } 722,
{ 348: } 724,
{ 349: } 725,
{ 350: } 726,
{ 351: } 727,
{ 352: } 728,
{ 353: } 729,
{ 354: } 731
);

yyth : array [0..yynstates-1] of Integer = (
{ 0: } 52,
{ 1: } 104,
{ 2: } 104,
{ 3: } 104,
{ 4: } 105,
{ 5: } 108,
{ 6: } 108,
{ 7: } 108,
{ 8: } 108,
{ 9: } 108,
{ 10: } 108,
{ 11: } 108,
{ 12: } 109,
{ 13: } 109,
{ 14: } 109,
{ 15: } 109,
{ 16: } 110,
{ 17: } 111,
{ 18: } 111,
{ 19: } 111,
{ 20: } 111,
{ 21: } 111,
{ 22: } 111,
{ 23: } 111,
{ 24: } 111,
{ 25: } 111,
{ 26: } 116,
{ 27: } 119,
{ 28: } 123,
{ 29: } 126,
{ 30: } 129,
{ 31: } 131,
{ 32: } 137,
{ 33: } 140,
{ 34: } 142,
{ 35: } 144,
{ 36: } 146,
{ 37: } 148,
{ 38: } 151,
{ 39: } 153,
{ 40: } 157,
{ 41: } 161,
{ 42: } 164,
{ 43: } 166,
{ 44: } 168,
{ 45: } 170,
{ 46: } 173,
{ 47: } 175,
{ 48: } 176,
{ 49: } 182,
{ 50: } 185,
{ 51: } 189,
{ 52: } 192,
{ 53: } 192,
{ 54: } 193,
{ 55: } 196,
{ 56: } 198,
{ 57: } 198,
{ 58: } 198,
{ 59: } 198,
{ 60: } 198,
{ 61: } 200,
{ 62: } 202,
{ 63: } 204,
{ 64: } 206,
{ 65: } 207,
{ 66: } 209,
{ 67: } 211,
{ 68: } 213,
{ 69: } 215,
{ 70: } 217,
{ 71: } 219,
{ 72: } 221,
{ 73: } 223,
{ 74: } 225,
{ 75: } 227,
{ 76: } 229,
{ 77: } 231,
{ 78: } 233,
{ 79: } 235,
{ 80: } 237,
{ 81: } 239,
{ 82: } 241,
{ 83: } 244,
{ 84: } 246,
{ 85: } 248,
{ 86: } 250,
{ 87: } 252,
{ 88: } 254,
{ 89: } 257,
{ 90: } 259,
{ 91: } 261,
{ 92: } 263,
{ 93: } 265,
{ 94: } 267,
{ 95: } 269,
{ 96: } 271,
{ 97: } 273,
{ 98: } 275,
{ 99: } 277,
{ 100: } 279,
{ 101: } 281,
{ 102: } 283,
{ 103: } 285,
{ 104: } 289,
{ 105: } 290,
{ 106: } 292,
{ 107: } 292,
{ 108: } 297,
{ 109: } 298,
{ 110: } 299,
{ 111: } 300,
{ 112: } 302,
{ 113: } 306,
{ 114: } 309,
{ 115: } 313,
{ 116: } 313,
{ 117: } 316,
{ 118: } 319,
{ 119: } 321,
{ 120: } 323,
{ 121: } 325,
{ 122: } 327,
{ 123: } 329,
{ 124: } 331,
{ 125: } 333,
{ 126: } 335,
{ 127: } 337,
{ 128: } 339,
{ 129: } 341,
{ 130: } 343,
{ 131: } 345,
{ 132: } 348,
{ 133: } 350,
{ 134: } 352,
{ 135: } 354,
{ 136: } 356,
{ 137: } 358,
{ 138: } 360,
{ 139: } 362,
{ 140: } 364,
{ 141: } 366,
{ 142: } 368,
{ 143: } 370,
{ 144: } 372,
{ 145: } 374,
{ 146: } 376,
{ 147: } 378,
{ 148: } 379,
{ 149: } 381,
{ 150: } 383,
{ 151: } 385,
{ 152: } 386,
{ 153: } 388,
{ 154: } 390,
{ 155: } 392,
{ 156: } 394,
{ 157: } 396,
{ 158: } 398,
{ 159: } 400,
{ 160: } 402,
{ 161: } 404,
{ 162: } 405,
{ 163: } 407,
{ 164: } 408,
{ 165: } 409,
{ 166: } 410,
{ 167: } 411,
{ 168: } 412,
{ 169: } 415,
{ 170: } 417,
{ 171: } 419,
{ 172: } 420,
{ 173: } 421,
{ 174: } 423,
{ 175: } 425,
{ 176: } 427,
{ 177: } 429,
{ 178: } 431,
{ 179: } 433,
{ 180: } 435,
{ 181: } 437,
{ 182: } 439,
{ 183: } 441,
{ 184: } 443,
{ 185: } 445,
{ 186: } 447,
{ 187: } 449,
{ 188: } 451,
{ 189: } 453,
{ 190: } 455,
{ 191: } 456,
{ 192: } 458,
{ 193: } 460,
{ 194: } 462,
{ 195: } 463,
{ 196: } 465,
{ 197: } 466,
{ 198: } 467,
{ 199: } 469,
{ 200: } 471,
{ 201: } 473,
{ 202: } 475,
{ 203: } 477,
{ 204: } 479,
{ 205: } 481,
{ 206: } 483,
{ 207: } 485,
{ 208: } 487,
{ 209: } 489,
{ 210: } 491,
{ 211: } 493,
{ 212: } 495,
{ 213: } 497,
{ 214: } 500,
{ 215: } 502,
{ 216: } 503,
{ 217: } 506,
{ 218: } 509,
{ 219: } 512,
{ 220: } 515,
{ 221: } 516,
{ 222: } 518,
{ 223: } 520,
{ 224: } 522,
{ 225: } 524,
{ 226: } 525,
{ 227: } 526,
{ 228: } 528,
{ 229: } 530,
{ 230: } 532,
{ 231: } 533,
{ 232: } 535,
{ 233: } 537,
{ 234: } 539,
{ 235: } 541,
{ 236: } 542,
{ 237: } 544,
{ 238: } 546,
{ 239: } 548,
{ 240: } 550,
{ 241: } 552,
{ 242: } 553,
{ 243: } 554,
{ 244: } 556,
{ 245: } 558,
{ 246: } 559,
{ 247: } 560,
{ 248: } 562,
{ 249: } 564,
{ 250: } 566,
{ 251: } 568,
{ 252: } 570,
{ 253: } 572,
{ 254: } 574,
{ 255: } 576,
{ 256: } 578,
{ 257: } 580,
{ 258: } 582,
{ 259: } 585,
{ 260: } 587,
{ 261: } 587,
{ 262: } 588,
{ 263: } 590,
{ 264: } 590,
{ 265: } 591,
{ 266: } 593,
{ 267: } 594,
{ 268: } 598,
{ 269: } 599,
{ 270: } 602,
{ 271: } 604,
{ 272: } 605,
{ 273: } 607,
{ 274: } 609,
{ 275: } 611,
{ 276: } 612,
{ 277: } 614,
{ 278: } 616,
{ 279: } 618,
{ 280: } 619,
{ 281: } 620,
{ 282: } 621,
{ 283: } 623,
{ 284: } 625,
{ 285: } 627,
{ 286: } 629,
{ 287: } 631,
{ 288: } 633,
{ 289: } 634,
{ 290: } 636,
{ 291: } 638,
{ 292: } 639,
{ 293: } 641,
{ 294: } 642,
{ 295: } 644,
{ 296: } 645,
{ 297: } 647,
{ 298: } 648,
{ 299: } 649,
{ 300: } 649,
{ 301: } 651,
{ 302: } 652,
{ 303: } 654,
{ 304: } 655,
{ 305: } 655,
{ 306: } 657,
{ 307: } 659,
{ 308: } 662,
{ 309: } 665,
{ 310: } 667,
{ 311: } 668,
{ 312: } 669,
{ 313: } 671,
{ 314: } 672,
{ 315: } 673,
{ 316: } 674,
{ 317: } 675,
{ 318: } 677,
{ 319: } 679,
{ 320: } 681,
{ 321: } 683,
{ 322: } 685,
{ 323: } 687,
{ 324: } 689,
{ 325: } 691,
{ 326: } 692,
{ 327: } 694,
{ 328: } 696,
{ 329: } 698,
{ 330: } 699,
{ 331: } 701,
{ 332: } 702,
{ 333: } 702,
{ 334: } 704,
{ 335: } 705,
{ 336: } 706,
{ 337: } 708,
{ 338: } 709,
{ 339: } 711,
{ 340: } 713,
{ 341: } 714,
{ 342: } 716,
{ 343: } 718,
{ 344: } 719,
{ 345: } 720,
{ 346: } 721,
{ 347: } 723,
{ 348: } 724,
{ 349: } 725,
{ 350: } 726,
{ 351: } 727,
{ 352: } 728,
{ 353: } 730,
{ 354: } 731
);


var yyn : Integer;

label start, scan, action;

begin

start:

  (* initialize: *)

  yynew;

scan:

  (* mark positions and matches: *)

  for yyn := yykl[yystate] to     yykh[yystate] do yymark(yyk[yyn]);
  for yyn := yymh[yystate] downto yyml[yystate] do yymatch(yym[yyn]);

  if yytl[yystate]>yyth[yystate] then goto action; (* dead state *)

  (* get next character: *)

  yyscan;

  (* determine action: *)

  yyn := yytl[yystate];
  while (yyn<=yyth[yystate]) and not (yyactchar in yyt[yyn].cc) do inc(yyn);
  if yyn>yyth[yystate] then goto action;
    (* no transition on yyactchar in this state *)

  (* switch to new state: *)

  yystate := yyt[yyn].s;

  goto scan;

action:

  (* execute action: *)

  if yyfind(yyrule) then
    begin
      yyaction(yyrule);
      if yyreject then goto action;
    end
  else if not yydefault and yywrap then
    begin
      yyclear;
      return(0);
    end;

  if not yydone then goto start;

  yylex := yyretval;

end(*yylex*);


